/*   **********************************************************************  **
 **   Copyright notice                                                       **
 **                                                                          **
 **   (c) 2003-2006 RSSOwl Development Team                                  **
 **   http://www.rssowl.org/                                                 **
 **                                                                          **
 **   All rights reserved                                                    **
 **                                                                          **
 **   This program and the accompanying materials are made available under   **
 **   the terms of the Eclipse Public License v1.0 which accompanies this    **
 **   distribution, and is available at:                                     **
 **   http://www.rssowl.org/legal/epl-v10.html                               **
 **                                                                          **
 **   A copy is found in the file epl-v10.html and important notices to the  **
 **   license from the team is found in the textfile LICENSE.txt distributed **
 **   in this package.                                                       **
 **                                                                          **
 **   This copyright notice MUST APPEAR in all copies of the file!           **
 **                                                                          **
 **   Contributors:                                                          **
 **     RSSOwl - initial API and implementation (bpasero@rssowl.org)         **
 **                                                                          **
 **  **********************************************************************  */

Changes in Version 1.2.3 (Release Date: 2006-11-26)
---------------------------------------------------

Features:

	- Windows: RSSOwl is now disabling JavaScript in the embedded Browser when displaying
	  the contents of a news. As soon as the Browser is navigating to a real website, 
	  JavaScript is being enabled again (based on your Internet Explorer settings ). 
	  This change is protecting RSSOwl from malicious JavaScript coming from a Feed so we
	  highly recommend to update to the latest RSSOwl.
	
	- Several improvements to how Links to Feeds are handled from outside the application
	
		o Windows: #1551921 Support Firefox 2.0 way of subscribing to Feeds
			The new Firefox 2.0 offers a very cool way of subscribing to feeds. Everytime you either
			open a Feed in Firefox or its auto-discovery is detecting a Feed on a Website you are just 
			visiting, you are able to directly subscribe to it with your default newsreader. Just 
			select "RSSOwl" from the provided list of Newsreaders (or add it, if its not yet present)
			and from now on everytime you see an interesting Feed, its only 1 click to add it to RSSOwl. 
			
			Note: In case you are already subscribed to the selected Feed, RSSOwl will automatically
			show the content of the Feed, rather then opening the subscription-dialog again.
	
		o Windows: The "-url" argument of the rssowl.exe is no longer supported. Instead, simply add 
		  the url at any position from the command-line. RSSOwl will then either open the "New Favorite" 
		  dialog if the feed is not yet subscribed, or show the contents otherwise.
		
		o Better handling of the Feed-Protocol
			Instead of opening the "New Favorite" Dialog, RSSOwl will now show the contents of the Feed
			in case it was already subscribed when opening a Link that makes use of the Feed-Protocol.
		
	- Windows: The embedded browser is fully supporting the new Internet Explorer 7
	
	- Now showing Hand-Cursor in case mouse is hovering over the read-state-icon in the NewsTable
	  indicating that the icon is actually clickable to toggle read-state
	
	- Updated SWT to 3.2.1
	
			o Linux: Various Browser-related bugfixes (support for https, render visited links)
			
	- Removed the dependancy to org.eclipse.ui.forms. On Linux, the big dependancy to the Eclipse
	  Platform is therefor no longer required.
			
	- Note: AmphetaRate was disabled because the service is no longer online. My apologies to
	  all existing users.

Bugfixes:

	- Improved menu-structure of the Newsfeed-Menu, including Popup-Menu on News-Table
	
	- Fixed all wrong usages of cascading-style for non-cascading menus
	
	- Sort-Indicator in NewsTable showed into wrong direction for ascending / descending
	
	- Fixed leaking Clipboard instances
	
	- Fixed Feed-Search no longer returning all results
	
	- #1583770 Read/Unread-Status not saved on system shutdown
		State of News that are marked read is now persisted at a certain interval while the
		application is running (same as preferences). This should finally fix the issue where
		this information got lost on an unclean shutdown.
	
	- #1545673 UTF-8 feed's Channel-Title field
		In case the encoding-attribute was surrounded by single quotes, it was not respected when
		asking the feed for its title from the Favorites-Dialog.
	
	- #1580613 New favourite always uses proxy to resolve title
	
	- #1555970 Make the default keymap depend on the host OS
	
	- #1557635 Livejournal Blogrolls / OPML-Import did not work
	

Changes in Version 1.2.2 (Release Date: 2006-08-27)
---------------------------------------------------

Features:

	- The integrated Feed-Validator was removed due to lacking support for RDF and
	  Atom formats. The new Validator allows to enter the URL of the Newsfeed to
	  validate and will forward to the W3C Feed-Validator using the Browser which
	  supports all major formats and namespaces. This change resolves the issue:
	    o #1413094 Action to validate news feeds on feedvalidator.org
	    o #1170501 Feedvalidator should not show errors on RDF/Atom Feeds
	    o #1394655 Support for ATOM Validation
	    
	- Windows: Security of the embedded Browser was improved by making use of the
	  Local Machine Zone Lockdown which forces local content to operate in the more 
	  secure Internet Zone.
	
	- Adding a new Feed to the List of Favorites will now automatically reload it
	  unless the application is currently set to work in offline mode.
	
	- AmphetaRate controls (ToolBar in Newstext and Statusline Items) are now dynamically
	  shown as soon as an AmphetaRate account is present and hidden otherwise.
	  
	- Added Ctrl+Shift+C as new default hotkey for Feed-Command "Mark All as Read"
	
	- Added new language Armenian (thanks to Vardan Movsisyan)
	  
	- Updated HttpClient to version 3.0.1
	
	- Updated SWT to 3.2 Final

Bugfixes:

	- Selecting a Tab that displays a Newsfeed was not moving focus into the Table of
	  Newsheader, so you had to select a News in order to perform actions like scrolling
	  with the mouse-wheel. This is now also fixed for the commands "Previous Tab" and 
	  "Next Tab".
	
	- When a feed is reloading, in some situations the vertical scroll-position changed to 
	  show the currently selected News on top of the table. So you always needed to scroll
	  up a bit to catch any new News.
	
	- Feed-Search is now recognizing a lot more results as valid Feeds with fixing a Bug
	  in the URL-processing. Special thanks to Milan Simonovic for reporting this issue.
	
	- Settings are now backup'ed and restored in case a previous shutdown failed to store
	  them correctly. This should fix issues, where all settings were lost.
	
	- #1485008 Problem with "as read" marked items
	
	- #1475607 Popup opens in external browser
	  This only happend under special circumstances, where a page included frames or
	  iframes and under a special combination of Browser settings.
	  
	- #1533348 Bug with target link parsing (wrong target URL)
	
	- Fixed some meaningless Titles in various Message- and File-Dialogs to show the
	  name of the Command that was performed and resulted in the Dialog to show.
	
	- Import Feeds from Discovery / Search did not automatically enable Proxy usage if
	  proxy was enabled in Connection Preferences.
	
	- The sort-order of Categories and Favorites was changed, such as any child-category
	  will show above any child-favorite, instead of showing below.
	  
	- Reloading Categories is now processing the Sub-Categories and Feeds in their correct
	  sorting order (ascending by name).
	  
	- Mac: Removed always visible horizontal Scrollbar from Feed-Search, Feed-Discovery
	  and Feed-Validator Dialogs.
	  
	- Newstext and HTML Export was not respecting a Text-Font that was set to use Bold,
	  Italic or a combination of both.
	  
	- RSSOwl was not interpreting Date Formats like "May 11, 2006", "Tue, 04 Jul 2006 22:25 EST",
	  "Mon Aug 07 17:22:00 2006" or "Wed 05 Jul 2006 13:39:15" in News.
	  
	- Fixed a potential NullpointerException in CryptoManager.loadData().
	  
	- Added the missing "deploy_linux64" target to the ANT-Script of the Source release.
	
	- Patch #1543102 Japanese translation fixes


Changes in Version 1.2.1 (Release Date: 2006-04-23)
---------------------------------------------------

Features:
	
	- #122120 Next Message should go to the next feed
	  Calling "Go to next unread News" will now automatically open feeds with unread
	  News if available from the Tree of Favorites. This easily allows to navigate to
	  the next unread News without having to open its feed first.
	  
	- It is now possible to mark a Newsitem as unread by clicking on the icon in the
	  first column of the News-Table that indicates the unread-state. Another click
	  will mark the News read again. This allows to easily mark a News as unread
	  without using the contextual menu or a hotkey.
	  
	- Creating a new Favorite, the contents of the Clipboard will now fill the URL
	  input field in case some text is available that makes a valid URL. This way,
	  simply copy a Feed's URL into the clipboard (usually Ctrl+C), hit "New Favorite"
	  in RSSOwl and find that URL already fill the input field.
	  Note that the URL will not fill the inputfield in case the URL is matching a
	  Favorite that is already present in the list of all favorites.
	  
	- The Feed-Discovery-Dialog is now also automatically pasting the contents of the
	  Clipboard into the input field, if it contains a valid website.
	  
	- The Favorites Tree is now keeping its vertical scrollposition when doing various
	  operations, like drag and drop or renaming of Items, rather then focussing on
	  the selected item. This brings stability that makes it easier to manage favorites
	  and categories when a lot of items are visible and expanded.
	
	- It is now possible to move a Tab of the TabFolder to a different position, simply
	  by dragging the Tab to the desired location and dropping it there.
	  
	- Performing a Search on a Category now allows you to see and change the Category
	  from the search dialog. The UI is quite the same on how the Category is shown
	  for Adding or Editing a Favorite.
	  
	- The "Select Category" dialog is now pre-selecting the Category in the Tree that is
	  set making it easy to see, which Category has been selected for the item.
	  
	- Creating a Category from the "Select Category" is now sorting the new category to
	  the correct position, based on a lexigraphical compare with the other items. This
	  makes the position of the new Category consistent with the new Category being
	  created in the Favorites Tree.
	  
	- The "Select Category" dialog is now indicating Categories containing unread Favorites
	  with the common icon that is also used in the Favorites Tree.
	  
	- If a Category contains no unread Favorite at all, the icon will no longer show as
	  unread, even if the Category contains sub-categories with unread Favorites. The
	  bold indicator remains untouched. With this new way of indication (none, bold and
	  special icon) you can now easily spot, wether a Category directly contains unread
	  Favorites, or only unread sub-categories.
	  
	- Added a new Menu-Item "Open" to the context menu of any Category in the Favorites
	  Tree. When selected, RSSOwl will open all direct Favorites of the selected Category 
	  inside Tabs of the TabFolder. 
	  This new Item is only showing up when Tabs are enabled at all in preferences.
	
	- When "Link with displayed Feed" is enabled, the linking is now working bi-directional,
	  such as when selection changes in the Tree and the Favorite or Category is open in 
	  the TabFolder, it will automatically select the Feed in the TabFolder as well.
	
	- All Favorites are now remembering their number of unread News between restarts.
	  That allows to easily spot Feeds with unread News after startup, without the
	  need of reloading the Favorites.
	
	- Several improvements for the Offline-Mode:
	
		o While being in offline-mode, the connected menuitem in the "File" menu will now
		  indicate that with a special icon. The text of the item is no longer changed for 
		  better indication when being in offline mode. On Mac, where no Icons are used for 
		  MenuItems, the indicator is the system's default "checked" symbol.
		  
		o In case a feed is opened that can not be displayed in offline-mode, a new Button
		  "Work Online" is shown in the Error-Tab. Once that is pressed, RSSOwl will go
		  into "Online"-Mode and reload the feed automatically.
		  
		o A hotkey can now be assigned for the action "Work Offline"
		
		o While being in offline-mode, the Title will show an additional "- [Work offline]"
		  as indicator for this state.
		  
	- Windows: All custom Colors in RSSOwl (e.g. the background color of the main toolbar) are 
	  now made consistent with the colors of the Themes Classic, Silver, Olive and Royal as well 
	  as the Blue Theme on which the colors where already optimized for.
	  In addition, in case any other classic theme is used (including High Contrast Mode), RSSOwl 
	  is not using custom Colors anymore, to ensure a consistent look on these Themes as well.
	  
	- Mac: Since I am now owning a Mac Mini (cute thing ;-) ), I did some polish to let RSSOwl 
	  look better. This includes using native system colors for the Toolbar and Quickview. In 
	  addition the application Menu is now containing entries to show Preferences / About Dialog
	  and a new Button top-right of the Window allows to toggle the Toolbar. Special thanks to
	  Andre Weinand for helping me out here!
	  
	- Linux and Solaris: Now using native colors for the Toolbar and Quickview as well.
	
	- Calling "Go to next News" will now automatically open Feeds from the list of
	  Favorites.
	  
	- Failing to create the Internal Browser on Linux will now automatically open the FAQ
	  and highlight the entry that deals with how to setup the system in order to use it.
	  
	- The default update-interval for new Favorites is now set to 1 hour. Only applies when
	  a clean install is performed with the default profile.
	  
	- The default open-mode on Linux and Solaris is now set to a single-click instead of
	  a double-click. This setting applies to opening a Favorite from the Favorites Tree.
	
	- Updated to HttpClient 3.0 final
	
	- Updated SWT to 3.2 RC1. Some new features include
		
		o RSSOwl for Mac is now using universal binaries, allowing to run it both on
	  	Mac PowerPC and Mac Intel.
	  	
	  o RSSOwl for Windows no longer needs to restart in order to enable WindowsXP Look 
	    and Feel.
		
		o Sorted Column of the Newsheader-Table now indicated with different background color.
		
		o Dragging items from the Favorites Tree shows the dragged item with Icon and Text next
		  to the Cursor while dragging, helping to see which Item currently is dragged.
		  
		o Win: Disabled Items in Menus and Contextual Menus now show with a disabled Icon
		  
		o Mac: Drag under effects for Favorites Tree
	
	- Updated SWT-NL to 3.1.1
	
	- Added new language Slovak (thanks to Vlado Jasaň)
	
	- Added new language Croatian (thanks to Neven Zitek)
	
	- RSSOwl is now licensed under the Eclipse Public License 1.0.
	  The license is available online at http://www.rssowl.org/legal/epl-v10.html and
	  also bundled with each release.


Bugfixes:

	- Improved shutdown performance giving RSSOwl a bigger chance of saving the
	  state of read/unread News on a abnormal shutdown (e.g. forced by the OS).
	
	- Finally fixed a very annoying bug where RSSOwl kept losing stored authentication
	  credentials for feeds that where redirected to a different URL (like GMail).
	  
	- The XML Parser is now also supporting Java encoding names, besides the common
	  ISO encoding names. This makes RSSOwl recognize even more newsfeeds.
	
	- Windows: The Newstext was not allowing to open any link externally if set in
	  preferences. This fix is basically a revert of a change for RSSOwl 1.1. Links
	  will now open in your external Browser if clicked from the Newstext view again.
	  This allows to reduce the usage of Internet Explorer to a minimum (display of
	  simple HTML for the Newstext).
	
	- Focus is now automatically given to the internal Browser-Tab after entering a
	  URL into the location text-field, selecting the Browser-Tab or displaying a
	  Feed as HTML. This fixes the issue where you had to click into the Browser in
	  order to scroll with the Mouse-Wheel.
	  
	- Focus is now automatically given to the location-field in the Browser-Tab if
	  the current URL is about:blank. In addition the title of such a Tab is now
	  showing "No Title" instead of "about:blank".
	  
	- The setting "Set Focus on New Tabs" is now working as expected and only avoiding
	  setting focus on _new_ tabs. Any Tab that is already opened however, will always
	  get focus in case requested. This fixes an issue where the History-Dropdown in the
	  Toolbar was not usable at all when selecting an item.
	
	- When the browser is disabled for Newstext display, a lot of HTML Tags where
	  not stripped from the view. Now most of the tags are removed from the Text.
	  Still showing are anchors allowing it to click on them for further browsing.
	  
	- When determining wether a News is new or not, Guids where only taken into 
	  account in case they where valid URLs. But some Feeds simply use a unique
	  number or non-URLs. These are taken into account now as well.
	  
	- Fixed a bug where RSSOwl kept showing News as unread, even if they have been
	  marked read. Affected News where coming from Feeds that use non-URL-valid
	  GUIDs.
	
	- The Format-Attribute was not set to a Channel in case a feed missed the version
	  attribute. This could result in a crash when searching or discovering Newsfeeds.
	
	- Fixed a crash and a lot of problems when displaying Feeds that either do not
	  provide any title-information or use HTML in that title-tag.
	  
	- TabFolder showed screen-cheese when switching between using Tabs and not using them
	  in preferences.
	
	- Reduced Table-Flicker when sorting Table (no longer using setVisible but setRedraw)
	
	- Most Toolbars where not accessable using the Tab-Key.
	
	- The Tree in the "Select Category" Dialog did not respond to a double-click on the Image
	  left to each TreeItem.
	
	- In some places FileInputStream / FileOutputStream was used unbuffered. Improved
	  performance by wrapping these with Buffered-Streams.
	
	- A Favorite in the Tree was no longer showing its unread-status, if edited
	  in the Favorite Dialog.
	
	- Language Attribute from Atom 1.0 Feeds was not parsed
	
	- #1443868 Lost all user settings including feeds
	  In some rare cases, settings where completly reset to defaults, in case
	  RSSOwl was shut down abnormally during shutdown of the operating system.
	
	- #1431620 Ctrl-C to copy doesn't work in Browser
	
	- #1413074 Browser statusline shows shortcuts (underlined character)
	
	- #1394656 xml:base not respected in Atom 1.0 Feeds if set in Root-Element
	
	- #1233293 [SWT-Bug] [Browser] "Next Message" should not move Focus
	  When focus is on the NewsText-Browser, it will not be grabbed by the Newstable
	  when calling "Next Message" or "Next Unread Message". This is helpful when a
	  News is long enough that scrolling is required.
	
	- #1369224 Dates not always parsed correctly - Added some new Date formats that are
	  now recognized by RSSOwl.


Changes in Version 1.2 (Release Date: 2005-11-06)
-------------------------------------------------

Features:

	- Updated the list of Sample newsfeeds by adding new categories and feeds.
	
	- Added Serbian, both Latin and Cyrillic, as new language. Thanks to Aleksandar.
	
	- When aggregating, searching or reloading categories, blogrolls are now auto-
	  matically synchronized in case they were not yet synchronized. Synchronization
	  is required to retrieve the list of feeds, the blogroll is referring to. 
	  This way you can now directly work with your synchronized Blogrolls after startup
	  without having to manually synchronize each one at first.
	
	- Doubleclick or pressing Enter on a News in the Newsheader-Table while holding
	  CTRL or CMD key pressed will now open the URL externally. This also applys to
	  clicking on the News-Link that is shown under the News-Title in the Newstext
	  panel.
	
	- Improvements for Feed-Search and Feed-Discovery
			o Results that already exist as Favorites will now show as not-checked. This
			  avoids importing of duplicates.
			o New Column "Format" added to Result-Table showing the feed-format of an item.
			o Multi-Select support in Result-Table allows to "Open" all results with a 
			  single click on the context menu, or to "Add to Favorites" all selected items.
			o Pressing the DEL-Key while some results are selected will uncheck them.
			o New Favorites added via Import or Drag and Drop will directly show the number
			  of unread News.
	
	- The Dialog to select a Category, e.g. in the properties of a Favorite or Import
	  of results from a feed-search, is now allowing to create new Categories in the
	  root of the Favorites.
	
	- RSSOwl is now available as download for Linux 64 Bit as well. Note that there
	  are even more OS RSSOwl is supporting. For a full list, refer to the README of
	  the source-release.
	
	- Some System-Tray-Alert Improvements
			o The Alert is now closing automatically when RSSOwl is restored from Tray.
			o Fixed wrong positioning of the Alert in some cases where the Taskbar was
			  placed left, top or right on the Desktop.
			o Animation-Steps are now calculated using the size of the Alert and the
			  Animation-Delay was increased to 10ms in order to increase performance.
	
	- The Parser is now recognizing the "pubDate" fields from RSS 0.91 and 0.92 Newsfeeds,
	  although the field is not part of the official specifications. But since some Feeds
	  tend to use pubDate in any format, I will make an exception to the rule.
	
	- You can now Edit a Font in the "Font" Preferences by double-clicking on one of the
	  Font-Areas in the List. The Font-Dialog will open after double-click.
	
	- Added a Quick-Filter to the Preferences. Find it on top of the Tree as Input field.
	  While entering any word, the Tree is updating to only show Preferences-Pages that
	  contain the entered word. This makes it very easy to quickly filter Preferences,
	  which do not contain settings for "Browser" or "Tray" for example.
	
	- #1225530 When a favourite is selected, highlight in tree

	  Added a new ToolItem "Link with displayed Feed" to the Favorites Tree ToolBar.
	  When this feature is enabled, any Feed that is selected in the TabFolder and
	  stored as Favorite in the Tree will update the selection to the connected item
	  in the Tree. This is also working for aggregations then selecting their category.
	  
	  Hitting the ToolItem while having a Feed displayed, will immediately show and
	  select the connected TreeItem. Since this feature is also working for error-loading
	  feeds, you can quickly navigate to the Item in the Tree that causes the Error.
	
	- The HTML Export for Newsfeeds was improved in several ways:
			o New Look making it easier to overview and read all the News
			o This feature is now working on Mac too (was disabled previously)
			o The Font used for the News is now the same used by RSSOwl (Text Font)
			o The generated HTML is XHTML Transitional valid and makes use of CSS
			
	- Stepped back to the old rule for the display of the Tray Alert for unread News:
		The Alert is (as in all versions before 1.1.2) again showing when new News come 
		in, even in case unread News have already been downloaded before.
	  That way you dont have to mark all News read, only to see the Alert again.
	
	- The Dialog to select a Category from the "New Favorite" dialog is now resizable
	  and shows the same icons for a Category as the Favorites Tree does.
	
	- When displaying an Aggregation of News in PDF, RTF or HTML, the Homepage of
	  the Feed the News is coming from is remembered and displayed as Link.
	
	- It is now possible to drag and drop a Tab showing any web-page in the internal
	  Browser into the Favorites Tree to create a new Favorite. The new Favorite will
	  take the URL and Title of the displayed web-page as values.
	
	- The resulting look of an Export to PDF, RTF and especially HTML was improved.
	
	- It is now possible to define a scope for the search inside News. Chose between
	  scopes like "Entire News" (default), "Headline", "Enclosure" and others.
	  The Scope for the search is selectable in a new Combo inside the Search Dialog.
	  This feature allows very cool searches, for example running on all Favorites:
	  	o Show all News that contain mp3 enclosures
	  	o Show all News that contain any enclosure (using Regular Expression)
	  	o Show all News from today (using "Publish Date" as Scope)
	  	o Show all News that are published by a feed including "Mac" in the name
	
	- Enclosures are now showing their file name as title of the Link instead of the 
	  full URL making reading of Enclosures easier.
	
	- The "New Favorite" action is no longer disabled when selection is on a Blogroll.
	
	- The "New"-Sub-Menu in the Main Menu and Main ToolBar is now always showing the items
	  "Favorite", "Category" and "Sub-Category". In dependance of the selection in the Tree,
	  some of the Items may be disabled.
	
	- The Search keywords AND, OR and NOT are now translated.
	
	- Pressing the Escape Key in the Quicksearch will now clear the Search.
	
	- #1239100 Support for Atom 1.0
		RSSOwl is now supporting latest Atom specification 1.0. The old parser for Atom
		0.3 is still in place. So both 0.3 and 1.0 Atom feeds are now supported.
	
	- Settings are now automatically saved at a regular, short interval, while RSSOwl is 
	  running. This also includes the list of Favorites and Categories, but not the state 
	  of read/unread News. The algorithm is smart enough to not save Settings in case
	  settings have not changed.
	
	- #1156014 One Instance of Application
	  In case RSSOwl is started while another instance is already running, the first instance
	  is now brought to top. 
	  If you need to use more than one instance of RSSOwl at the same time, you can do so by
	  starting RSSOwl with: "java -Dnet.sourceforge.rssowl.allowMultiInstances <other args>"
	  Note that this feature requires RSSOwl to listen on a port of the localhost. Keep that
	  in mind when your firewall is asking about RSSOwl wanting to access a port.
	
	- Improved the Main ToolBar with a lot of new features:
	
		o #1162165 Customize toolbar
		  It is now possible to customize the Toolbar. The new "Customize Toolbar" Dialog was added 
		  to the "View" menu and the context-menu and allows to define what Toolitems to display and in 
		  which order (Drag and Drop for controlling the order is supported). In addition you may control 
		  the number of Separators between ToolItems.
		  A combo let's you decide wether to display "Icons and Text", "Icons" or just "Text".
		  
		o You may now display the Toolbar just using Text, and no Icons at all.
		
		o You may now decide wether to show Big or Small Icons in the ToolBar.
		
		o #1176794 Bigger toolbar icons
		  The ToolBar is now capable of showing Text in combination with the icons at
		  the same time. Therefor added a new item to the Toolbar Context Menu.
		  
		o "Next unread Message" and "Mark All Read" are now Drop-Down items and contain
		  "Next Message" and "Mark Unread" as additional items. 
		  
		o Added some new Items to the ToolBar
		
			- "History" containing the last 25 visited feeds, including aggregations. The number
			  of unread News is appended to the items as done in the Favorites Tree.
			
			- "Close", "Close Others" and "Close All" for quickly closing Tabs in the Tabfolder
			
			- "Rate News" containing the AmphetaRate-Menu to rate News
			
			- "Mail NewsTip" to send a News via eMail
			
			- "Previous Tab" and "Next Tab" to navigate through opened Feeds
		
		o The ToolBar is now wrapping to the next line as soon as the available width is not
		  enough to show all items.
	
	- The News-Table is now indicating the Sort-Column and Sort-Direction with an Image.
	
	- The resulting file of a saved aggregation is now using RSS 2.0 format and 
	  thereby no longer missing information, as before with being RSS 0.91 format.
	  
	- #1289088 RSSOwl is now showing 'Atom 0.3' or 'Atom 1.0' in dependance of the used
	  Atom format.
	  
	- #1162159 Mac: Remove title bar buttons from delete dialog
	
	- Reduced size of the source release by removing some unused files together with the
	  API. If you need the API, run the ANT task "javadoc" after adding SWT to the libs.
	
	- Updated JFace, used for all Dialogs, to latest version 3.1
	
	- Updated HttpClient to 3.0 RC4
	
	- Updated Forms, used to display some Links in RSSOwl, to latest version 3.1
	

Bugfixes:

	- Fixed a crash when importing settings while some Tabs where opened
	
	- When changing the URL of a Favorite, Unread Count and Meta-Information was not reset
	  in case the URL was unknown to RSSOwl, i.e not cached yet.
	
	- Adding new Favorites using the "New Favorite"-Dialog, will now clone unread count and 
	  meta-data into the new Favorite in case it was already loaded before.
	
	- The Favorites-Tree Toolbar was not wrapping to the next line in case the available
	  width was not big enough.
	  
	- Exporting favorites to OPML is now automatically adding ".opml" to the suggested filename
	
	- #1311351 Feed not loading after single-click on Favorite Icon
	
	- #1251075 Double-click tray forwarded to adjacent icon
	
	- #1306972 Switching to another feed is now marking the old one read in case Tabs are
	  switched off and settings tell to mark a feed read when closing its Tab.
	
	- When parsing Atom Feeds, RSSOwl was not handling CDATA-Constructs which where part of
	  a HTML/XHTML content correctly.
	
	- Fixed missing mnemonics in the system-tray Menu
	
	- Feeds with lowercase encoding where not recognized as supported encoding in most cases.
	
	- Added Thai and Serbian to installer language on Windows. Thai was missing.
	
	- Importing or Dragging results from Feed-Search or Discovery into the Tree to create new 
	  Favorites was not automatically showing the number of unread news available. Meta Information
	  like Description was not copied as well.
	
	- Fixed a huge performance-leak when reading/writing to the feed-archive. Especially for
	  feeds with a lot of news, or a lot of favorites in general, the startup time and overall 
	  performance has improved a lot.
	
	- The FeedParser is now able to handle feeds that define the default namespace inside the 
	  Channel-Element instead of the Root-Element.
	
	- Pressing the "Apply" Button in the Font-Preferences did not apply the Font Changes immediately.
	
	- When changing the Header-Font in preferences, opened Tabs did not update to the new Font.
	
	- When changing the Table-Font in preferences, opened Feeds did not update to the new Font.
	
	- OK and Cancel Buttons are now in the correct order according to the running platform.
	
	- RSSOwl's way to save/load Shell and Sash states, e.g. Bounds, was not very smart.
	
	- The Context-Menu on the Favorites Tree was re-created everytime the selection changed. This was
	  improved to only update the Menu in case it is made visible.
	
	- "Rate News" Toolitem in Newstext did not update language after language change in preferences
	
	- Mac: Dropdown-Menus in the Toolbar showed Icons for some MenuItems.
	
	- The Browser showed "about:blank" in the Location field for new or empty Browser pages.
	
	- Dragging an item in the favorites tree was not giving scroll-feedback in some
	  cases, e.g. dragging a favorite out of a category with very much favorites inside
	  was not possible.
	
	- The category of opml-imported newsfeeds is now called "Imported" and no longer
	  "No Title", in case the OPML did not contain any category information.
	
	- When exporting settings, recent Changes to the Window bounds where not included.
	
	- News using a date format like "29 Jul 05 12:20" where not correctly sorted.
	
	- Whenever a feed was opened, the News-Table was populated twice, resulting in
	  flickering. This bugfix also increases performance of displaying a feed.
	
	- Reduced Memory consumption: The Channel model is no longer keeping a reference 
	  to the loaded XML Document. This results in ~10-15% less memory usage.
	  
	- #1349288 run.sh prevents the use of F/OSS JavaVMs
	
	- #1091553 "View-Display newsfeed in HTML" corrupted characters in JP
	
	- #1238308 Initial startup dialog for XP Theme not necessary sometimes
	
	- #1182784 "Show errors in Tabs" not usable when not using Tabs at all
	
 
Changes in Version 1.1.3 (Release Date: 2005-07-17)
---------------------------------------------------

Features:
	
	- Favorites are now showing the number of unread News next to the name, for example "RSSOwl News (4)".
	
	- #1235291 Allow the Tab-Key to be used in Hotkeys
	  It is now possible to use Escape, Enter, Shift+Tab and Mod+Tab as Hotkeys for Actions.
	
	- Implemented limited support for the Feed-Protocol URI Syntax. Whenever you click on a Link inside the
	  internal Browser that is making use of this URI Syntax (for example "feed://www.rssowl.org/node/feed"), 
	  RSSOwl will bring up the "New Favorite" Dialog.
	  Important Note: This feature is limited to the internal Browser only. It does not work outside RSSOwl!
	
	- A lot of improvements made to Drag and Drop in RSSOwl:
	
		o It is FINALLY possible to drag a Category / Blogroll into the Root of the Tree. For example if
		  Category "Foo" is a child of "Bar", which is a Root, you can now Drag "Foo" out of "Bar" and
		  create another Root Item out of it (RFE: #1146165 Dragging folders to top-level).
		
		o New Drag Sources - Places where you can beginn dragging
		
			+ The Hyperlink showing under the Title of a News in the Newstext panel
			
			+ Results of Feed-Search and Feed-Discovery. Dropping them into the Tree will create new Favorites
			
		o New Drop Targets - Places where you can drop the dragged item
		
			+ General: In most Drop Targets you can even drop Data from Applications outside RSSOwl into RSSOwl.
			           For example, Firefox allows to drag Links. RSSOwl accepts the dragged Links from Firefox.
			
			+ Quickview Combo and Quicksearch Input fields
			
			+ Feed-Discovery, Feed-Search and Feed-Validator Input Fields. After dropping the Item, the operation
			  will beginn as long as no other operation is running at that time. For example, dropping a Link into
			  the Feed-Discovery input field will beginn the Discovery automatically.
			  
			+ Adress-Bar of the internal Browser. After dropping the Item, the Browser will navigate to the
			  new URL automatically.
	
		o You can now drag results from Feed-Search and Feed-Discovery directly out of the Table into the
		  Favorites Tree.
		  
		o You can now drop Text into the Input fields of Feed-Search, Feed-Dialog and Feed-Validator Dialog.
		  The Dialogs will perform their operation, e.g. Discovering Feeds, after the Text has been dropped
		  into. But it will not interrupt a running operation.
		
		o It is now possible to drag and drop Links from other Applications into RSSOwl. For example dragging
		  a Link or some Text from Firefox into the Favorites Tree, will open the "New Favorite" dialog with the
		  dragged link as URL. Note that this is only working for applications that support the basic Text transfer.
		  
		o It is now possible to drop Text into the Quickview's adress Combo and Search Text input field.
	
	- Updated to SWT 3.1 final
	
	- Updated HttpClient to 3.0 RC3
	
	- Removed the black 1px Border on left and right side of Quickview and Toolbar.
	
	- The Actions "Import > From OPML" and "Import > Synchronized Blogroll" are now also accessable when
	  opening the Context Menu on a Blogroll or a Favorite that is inside a Blogroll.

	
Bugfixes:

	- Fixed a very serious bug in the XMLShop.writeXML()-Method that most likely caused the settings 
	  file to be deleted on exit of RSSOwl in some rare situations.
	
	- RSSOwl was crashing when importing settings which enabled System Tray support for RSSOwl. 
	
	- The System Tray was not disposed when importing settings which disabled them.
	
	- RSSOwl was crashing in case a Connection was not providing any response-body.
	
	- The MenuItem "Properties" inside the "Edit" Menu was not enabled for Blogroll Categories
	
	- The Context Menu on the Panel showing an empty search or a feed with no News showed the
	  MenuItem "Mark All as Read" as enabled. Changed to disabled as is in the main Menu and Toolbar.
	
	- Cleaned and updated the Tutorial to match RSSOwl 1.1.3
	
	- News using a 2-digit year Format like "Fri, 15 Jul 05 17:53:58 GMT" where not correctly sorted
	
	- The change to the default Newstip format in 1.1.2 was not applied correctly 
	
	- When calling "Export Settings" in the preferences Dialog, RSSOwl is now applying active changes
	  first, in order to get them into the export.
	
	- Enabled "Double Buffering" for the Status-Progress-Bar. It is no longer flickering on progress.
	
	- The in-place editor when renaming an element of the Favortes Tree is no longer showing in Bold Font-Style,
	  in case the edited Element indicated it.
	
	- When reloading a Feed, which is not yet opened in the TabFolder, RSSOwl is no longer opening a Tab
	  to show the error, in case an error occurs while loading. This also fixes the issue that an error
	  tab could pop-up, after RSSOwl was unable to auto-reload a Feed in the Background.
	
	- A Feed that RSSOwl was unable to load, will now not only show the red icon as indicator, but also
	  reset the bold font-style in case the feed indicated unread News before. In addition all parent
	  categories are updated to match the new state of the erroneous favorite.
	
	- The Error message showing up in case usage of internal Browser fails is now pointing the user to the
	  FAQ. The FAQ has detailed answers for problems of that kind.
	
	- Some Options in Preferences missed Mnemonics
	
	- Win: The "-profile" parameter of rssowl.exe is now correctly handling pathes to directories that
	  contain spaces.
	
	- Mac: Application window size and location was not remembered between sessions when quitting RSSOwl
	  using the application menu or the "Quit" hotkey.
	
	- Confirm Deletion Dialog did not wrap its message in case required by very long favorite titles
	
	- Renamed the often misundeerstood "Workbench" to "General" in Preferences
	
	- #1236559 Preferences typo
	
	- #1232798 Not able to parse some date format
	  The call to DateParser#getDate(String strdate) was not synchronized, resulting in wrong Dates
	  being parsed from a feed (very often 1970...) when more than one feed was loading at the same
	  time.
	
	- #1228672 Password Dialog - not enough info
	  The Login Dialog for protected newsfeeds is now showing the Host of the Feed, rather than the
	  realm. This allows to easily check, which feed is prompting for authentication.
	
	- #1223855 Import of a OPML file containing empty Cagegories was not correct
	
	- #1223596 Japanese translation error on installer
	
	- #1220221 Proxy Authentication info not remembered after closing the Preferences Dialog


Changes in Version 1.1.2 (Release Date: 2005-06-12)
---------------------------------------------------

Features:

	- Win: Changed RSSOwl 32x32 px Icon to PNG format, so that real transparency is now shown, for example
	  inside the application-switcher (using Alt+Tab)
	
	- Feed Search, Feed Discovery and Feed Validator dialogs are now calculating their sizes based on the
	  font that is set. Using a small Dialog Font will result in smaller versions of these Dialogs, as it
	  is happening for other Dialogs too.
	
	- #1210699 Popup Constantly appears on "Reload All"
	  RSSOwl is no longer showing the Popup "Unread News Available" in case the Tray is already indicating
	  that unread news are available. As soon as all News have been marked read and new News are coming in,
	  the Popup will show again.
	
	- #1209404 More update intervals
	  Added "30 Minutes" and "6 Hours" to the list of possible auto-reload intervals for Favorites.
	
	- Most Combos will now expand their content so that a Scrollbar is not necessary. Note that this 
	  is not supported on all platforms.
	
	- Date Parser: RFC 1123 Date Formats without Day Name are now correctly parsed, for example:
	  "27 Mar 2005 08:30:00 GMT"
	
	- #1206482 Hide Favorites toolbar
	
	  Added a new Context Menu on the Top Area of the Favorites Tree containing the Items "Toolbar" and
	  "Close". 
	  Selecting "Toolbar" will toggle the visibility of the Tree Toolbar.
	  Selecting "Close" will hide the Favorites Tree.
	
	- When exporting News into PDF or RTF Format, RSSOwl is now stripping out any HTML Tags, since they
	  are only supported in HTML Format.
	
	
Bugfixs:
	
	- Update to latest SWT version brings two, long awaited fixes to very annoying bugs:
	
		o #1078502 [SWT-Bug] [Win] IE shows JS Script Error dialog
	  	The Internal Browser everytime came up with a dialog telling about JavaScript Errors, in case the
	  	browsed Website contained errors. The Dialog is no longer appearing unless JavaScript debugging is
	  	activated.
		
		o Win: The Internal Browser often showed a Blank Page when clicking on News from a Newsfeed that 
			contained Images as Content, like for example the popular BoingBoing feed.
	
	- Fixed an issue with the Tray Popup and the Auto-Close Thread not being stopped when closing the Popup
	
	- Mac: Some Improvements for all ToolBars due to a new SWT Version. The bottom Status Line Controls are
	  now all vertically aligned in the same Position and Background Colors are displayed correctly.
	
	- The Version Identifier in the About Dialog was not selectable, making it impossible to Copy and
	  Paste it.
	
	- Fixed possible NullPointerException when deleting a Favorite
	
	- #1205253 Date display problem
	
	- #1212130 Chinese characters in blog title garbled
	  When now using "Use Title from Feed" in the Favorite Dialog, RSSOwl is using the Encoding supplied
	  with the Newsfeed to extract the Title. Without that, RSSOwl was always using System default Encoding,
	  which showed garbled in most cases, where the Title contained Japanese / Chinese and similar Symbols.
	
	- #1210199 Internal browser closes when clicked on, if popup blocking
	  RSSOwl Linux no longer use RSSOwl's internal way to Block Popups, since Mozilla is taking care of
	  popups for itself.
	
	- #1210168 Crashes when reading an authenticated site
	
	- #1200447	RSS on Gmail account
	  RSSOwl returned connection errors, when trying to Access SSL Secure Newsfeeds through a Proxy.
	
	- #1204754 RSSOwl steals focus randomly
	
	- #1204756 RSSOwl steals focus when showing popup
	
	- #1204490 [Mac] Blank area in the toolbar


Changes in Version 1.1.1 (Release Date: 2005-05-15)
---------------------------------------------------

Features:

	o Solaris: The Solaris version of RSSOwl is no longer using Motif but, finally, GTK2.
	
	o Changed the default Newstip with removing the Labels and adding the Description Field. Also slightly
	  changed the Signature RSSOwl is adding.
	
	o In case an URL is entered into the "Search for Newsfeeds" Dialog, RSSOwl was in most cases to able
	  to deliver any results. Now, whenever the search-key looks like an URL, RSSOwl will first search
	  on the given WebSite for Newsfeeds and even try to interprete the given URL as Newsfeed, before
	  proceeding with the normal search by Keyword.
	
	o Added new language Thai, thanks to Patipat Susumpow
	
	o "Use external Browser" is now automatically checked, in case an external Browser was specified.
	
	o Category Aggregations and display of Categories in the Favorite Dialog now using "|" instead of ">"
	
	o Date Format in some locations (Favorite Properties, ChannelInfo) is now showing in Long Format.
	
	o Aggregations no longer showing "Category: " in TabTitle, thereby requiring less horizontal Space
	
	o Updated Apache Commons HttpClient to latest version. This new version of HttpClient fixes some
	  issues with Proxy connections. 
	
	o RSSOwl is now supporting authentication to NTLM protected Newsfeeds. Big thanks to Mark Woodman helping
	  me testing RSSOwl with NTLM protected Newsfeeds.
	  This also includes working with a Proxy Server that requires NTLM Authentication.
	
	o The Newstext view (when not using the Internal Browser) is now showing URLs underlined
	
	o Implemented a Debug Mode into RSSOwl. Debug Mode is disabled by default. Enable it with passing the DWord
	  "net.sourceforge.rssowl.debug" to the Java call (e.g. java -Dnet.sourceforge.rssowl.debug -jar rssowl.jar".
	  
	  In Debug mode the HttpClient's log mechanism is in TRACE mode, logging all connection-related information
	  into "debug.log" saved to the logs-directory.
	
	o Improved Feed-Discovery performance on websites that show the Newsfeed URL inside a Link-Tag or made
	  use of scripts like PHP to create the Newsfeed (thus not having a common file extension like .xml)
	
	o Feed-Discovery is now also checking if the entered URL is a Newsfeed
	
	o The Favorite-Tree's toolbar is back in place with the 4 commands "Reload All", "Aggregate All", "Search All"
	  and "Mark All Favorites Read". 
	
		Additionally, the top ToolBar still contains the dropdown with these commands too. This allows to use them when 
		the Tree is hidden.

	o #1184998 Wrap-around tab switching - Allows to navigate from the first to the last Tab and vice versa using
	  Actions "Goto Next Tab" and "Goto Previous Tab" if more than one Tab is opened.
	
	o #1170659 [Mac] Change minimize keyboard shortcut
	

Bugfixes:

	o Various performance improvements.
	
	o Linux: Application window Location and Size was not saved when exitting using the Tray-Item's context Menu.
	
	o Fixed some wrong URLs from the Translations.
	
	o Fixed a NullPointerException when searching for a Title inside a Feed that did not had any Title-Tag.
	
	o Fixed wrong behaviour of displaying a Feed in case another Tab was showing a Webpage with the same title.
	
	o Fixed an ArrayIndexOutOfBounds Exception when marking a News unread, without having selected a NewsItem.
	
	o After Drag and Drop of a TreeItem or Tab, RSSOwl was not cleaning up correctly. If a Tab was dropped into
	  another application like Firefox and something from there back into RSSOwl, it crashed.
	
	o The Context Menu on Tabs in the TabFolder showed the commands "Close Others" and "Close all except newsfeeds"
	  enabled, even if not applyable, in case only one Tab was opened, or only Feeds. These will now show as
	  disabled in cases where the command is not available.
	
	o When not using Tabs at all but having a list of Feeds loading on startup, RSSOwl will no longer show all,
	  but only the last opened one, since there is only room for one feed to display.
	
	o Marking all Favorites Read did not mark the Aggregation of all Favorites as read.
	
	o Marking parent categories of an aggregated Category read did not mark the Aggregation as read.
	
	o Marking an aggregated category read did not update the Icon in the Tab of the Aggregation.
	
	o Some Dialogs that set the state of the OK Button (enabled or not) in dependance of the input the user has
	  made (e.g. the "Open Feed" Dialog) enabled the OK Button even in case the user has only typed whitespaces.
	
	o When renaming an Item of the Tree in Place (choosing "Rename" from the Context Menu), the rename-input
	  Box did neither close when beginning a Drag and Drop Operation nor by right-clicking on another Item to
	  show the context Menu. This most often resulted in crashes and unexpected behaviour.
	
	o Mac: Main ToolBar and Favorites Tree ToolBar no longer have a fixed background color set, giving a more
	  native look for these.
	
	o The Splashscreen on Startup of RSSOwl is no longer overlaying all Controls below, thus making it possible
	  to give back the Focus to the current application and have RSSOwl startup in the background. It is still
	  possible to hide the Splash complety, via "-Dnet.sourceforge.rssowl.noSplash" to the Java call.
	
	o The Tree inside the Preferences Dialog is no longer scrolling to the right-end in case the vertical 
	  Scrollbar was necessary. 
	  In addition, the "Workbench" and "View" item is now always expanded, making it a one-click to access 
	  important settings like "Hotkeys" or "System Tray".
	
	o Updated to latest version of SWT including some bugfixes that affect RSSOwl.
	
	o Closing multiple instances of RSSOwl at the same time, resulted in a Crash.
	
	o Saved credentials of protected newsfeeds are now deleted as soon as the connected Favorite gets deleted
	  or the URL was edited.
	
	o The Internal Browser in the Newstext pane (if activated) showed vertical scrollbars even if not required
	
	o Tutorial did not open when using external Browser on Windows
	
	o The generation of HTML out of Newsfeeds is now correctly displaying Images that use relative URLs. This is not
	  yet working for aggregations, since there a single BASE reference does not make sense.
	
	o In some cases the Newstext panel (in Browser mode) was not showing Images that used relative URLs
	
	o #1176874	Date column in feed table isn't localized
	  
	  The Date-Format used in the Table showing News for publish Dates and in bottom-right in the Status Line
	  is no longer dependant on the Language that is set in RSSOwl, but on Locale set in the OS. This allows 
	  to display special Date Formats, like for countries speaking English but not using the English Date Format.
	
	o #1168044 [SWT-Bug] Scrolling in DND not user-friendly
	
	o #1184987 License tab restore/maximize button
	
	o #1184988 Closing welcome tab unmaximizes license tab
	
	o #1184991 Closing the license tab hides favorites
	
	o #1168060 Internal browser crashes when clicking on any page
	  
	o #1172275 Internal browser crash in some situations
	
	o #1043095 [SWT-Bug] [MAC] Browser not opening links that miss protocol 
	
	o #1170172 Dual-Monitor News Popup Positioning Error


Changes in Version 1.1 (Release Date: 2005-03-24)
-------------------------------------------------

License: 

	o Updated RSSOwl License Agreement to Document version 1.2 (02-23-2005)


Features:
	
	o RSSOwl is no longer dependant on classes from com.sun.* or sun.*. This finally allows to compile and run
	  RSSOwl on non-SUN Java Machines.
	
	o Pressing the Middle-Mouse-Button on the Title of a Tab will now close it.
	
	o Updated the list of Sample Newsfeeds. Thanks for the Feedback from the Community!
	
	o Added a new Button "Discover Newsfeeds on Website" to the Browser ToolBar. Pressing it will open
	  the Feed Discovery Dialog automatically starting a search for newsfeeds using the URL that was 
	  shown in the Browser location Text Field.
	
	o [ 1040867 ] [SWT-Bug] Newsheader Table not sortable on Mac
	  Finally its possible to sort the table showing News when clicking on a table-column
	
	o It is now possible to assign a hotkey on "Preferences". Default on Mac is Cmd + Comma
	
	o Mac: Default Hotkeys for "Next Tab" and "Previous Tab" changed to Cmd + Shift + Arrow Left/Right
	
	o The Homepage field inside the "Information" tab of the Favorite dialog is now clickable, opening the 
    Homepage in a Browser.

	o The Dialog to create/edit a Favorite is no longer using a Tree on the left side. Instead, a TabFolder
	  with the items "Properties" and "Information" is used.
	
	o Added a ToolBar to the application. It contains common actions like "Next unread news" and is located
	  above the quick view panel. Like Quickview and Favorites, it is possible to hide the ToolBar using
	  the View menu or a hotkey.
	
	o In case a newsfeed is not offering titles for news, RSSOwl is using part of the description as title. 
	  This produced titles with words being cut-off in the middle. Now, RSSOwl will perform a human-readable
	  trim, such that the title will show "..." after an entire word (if possible).
	
	o Some usability improvements were made for the tree containing all favorites when it comes to management
	  of favorites (creation, deletion, modification of favorites, categories or blogrolls):
			- Creation: New Element becomes selected after creation
			- Deletion: Selection moves to the next element of the tree (OS native behaviour)
			- Moving:   Moved Element keeps selection after movement (Drag and Drop)
			- Editing:  Edited Element keeps selection after editing
		
	o It is now possible to switch from "Work Online" to "Work Offline" in the File menu. While working in offline
	  mode, RSSOwl will try to load newsfeeds using the cache, without trying to connect to the newsfeed first.
	  In case the newsfeed is cached, it will show immediately. The last setting is remembered and restored after
	  startup of RSSOwl. Please keep that in mind in case you are getting errors while being online and loading feeds.
	
	o Preferences now show a warning/error message in Blogger and Browser settings in case a entered path/file does 
	  not exist.
	
	o Usage of internal Browser to display Newstext is now set to default TRUE on all supporting platforms.
	
	o The result-table in FeedSearch and FeedDiscovery dialog are now showing checkboxes on each feed in the result. 
	  The checkbox is initially checked. When importing feeds into favorites or exporting them as OPML, RSSOwl will 
	  only consider the checked ones. That easily allows to sort unwanted feeds out of the result.
	
	o Comments and Source information in a newsfeed are now shown as link (and therefor clickable) in case a URL is
	  provided (most feeds send a single URL as comment-information to point to the website with comments).
	
	o Say goodbye to the lightblue headers in RSSOwl. The last one was removed from the favorites tree. For optimal
	  screen real estate, the toolbar moved to the top ToolBar.
	
	o The "Quickview" box was replaced by a small Toolbar that contains mostly the same controls (Combo to enter the
	  Link of a newsfeed to open). It is still possible to hide these controls by unchecking "Quickview" from the
	  "View" menu.
	  
	  In addition a quick-search was added right to the Combo. Just type a word into the quick-search field and see
	  that while typing, RSSOwl is searching inside the opened newsfeed. Clearing the search-phrase will show the
	  full newsfeed again.
	
	o RSSOwl is now using an extended OPML format for Export and Import of newsfeeds, that allows to keep settings like
	  "Open on Startup", "Reload on Startup", "Use Proxy" and update interval. That makes it easy to make a backup of
	  all feeds, while keeping these settings.
	
	o The news popup is now animated (moving into the screen from right to left) when unread news are available. If you
	  want the old style (no animation) back, change settings in Workbench > View > System Tray.
	
	o #1000187 Empty news links should be opened within the news panel
	
	 	Finally, if the user has set to open either empty or all news inside the browser ("Workbench" preferences),
	 	those news will open their link using the internal browser in the newstext panel. This allows to read the content
	 	of a news directly at the source (website that published the news) while still having the tabfolder showing other
	 	news from the feed.
	 	
	 	Please note that the internal browser inside the newstext panel has fewer controls (no ToolBar or location text
	 	field), since available space is rare. For a real browser-experience, you should open links inside the tabfolder.
	
	o #1081251 Exporting all folders
	
		It is now possible to export all favorites into OPML at once.	Select "Export > To OPML File" from the 
		"File" Menu and all favorites will be exported.

		Still, when selecting "Export > To OPML File" from the context menu on a favorite or category, only that 
		item will be exported.
	
	o #1113696 Renaming Categories and Favorites in-place
	
		Added "Rename" to the context-menu of Favorites and Categories. Will open an in-place editor 
		allowing to edit the name, without having to open the dialog and making the changes in there.
	
	o The Subscription feature of RSSOwl was rewritten from scratch with some important changes:
		
			- For a clear meaning, the name "Subscription" was changed to "Synchronized Blogroll"
			  A Blogroll is an OPML file containing a collection of Newsfeeds used to share feeds.
			
			- "Synchronized Blogroll" is placed as submenu of "Import" in the context menu of the tree.
			  Therefor "Subscription" and "Subscription (Sub-Category)" was removed from the "New" menu
			
			- As format OPML is now being used allowing to import Blogrolls from services like Bloglines
			
			- It is now possible to edit the Title and URL of Blogroll
			
			- It is now possible to synchronize the blogroll while RSSOwl is running (inside the context menu)
			
		All blogrolls will synchronize with their source on startup of RSSOwl. Please note that due to the
		change of the format into OPML, all existing subscriptions (RSSOwl < 1.1) will not work. Please update
		your subscriptions to match the OPML format (e.g. Export a Category into OPML format).
	
	o RSSOwl is now finally able to display newsfeeds that are using the OPML format. But not only realy news,
	  any OPML file that contains of elements (like OPML directories or newsfeed-collections) are displayable
	  as newsfeed.
	
	o The "Import From OPML" dialog is now accepting not only a local OPML file but also an OPML that is online.
	  Just enter the URL of the OPML and RSSOwl will download the contents and import the newsfeeds. In case the
	  OPML file requires authentication (as for example when importing subscriptions from Bloglines), RSSOwl
	  will offer an dialog to enter username and password.
	  
	  In case of any error while trying to import the OPML file, an error message will be displayed inside the
	  dialog, keeping it open. This allows to check the entered URL or path. In addition RSSOwl is now checking
	  the given file is using the OPML format.
	
	o Most common and annoying popups are now blocked when surfing with the internal browser. The solution is
	  not perfect, some popups might still make it through. To turn of popup blocking, uncheck the option
	  that is placed inside "Preferences" > "Browser"
	
	o RSSOwl is now saving all settings to the user.xml file when the Preferences dialog is left by clicking the
	  the OK button. In case of an crash, these settings will then not be lost after restart.
	
	o #1066828 Rethink puzzling tab icons
	  Flags are no longer displayed as icon left to a newsfeed. Instead only two different icons are used. 
	  The one indicating unread news are inside the Tab, the other that there are only read items included.

    In addition the TabItems title changes from normal to bold when unread news are available.
	
	o In case one newsfeed of a loaded aggregation could not be loaded due to an error, a detailed error message
	  will be displayed as description of the news "Error while loading the Newsfeed "<title>"", that was only
	  something like "Error" or "Error (1)" before.
	
	o Reduced the size of the dialogs Feed Search, Feed Discovery and Feed Validator. The included Tables will
	  now resize and the TableColumns will keep their relative sizes when the dialog is resized by the user.
	
	o #1025777 Confirm dialog for feed delete should be deleted
	  It is now possible to disable the confirm dialog seperatly for the deletion of a favorite, category
	  and / or subscription. Therefor a checkbox "Never ask again" was added to the new confirmation dialog.
	  
	  In addition a new group was introduced into the workbench preferences that shows three checkboxes to
	  configure the confirm dialog for deletion of favorites, categories and subscriptions.
	
	o #1013898 Allow to disable close button on Tabs
	  Added a new option in "View" preferences that allows to hide the close-button on the Tabs. Changing
	  this setting requires a restart of RSSOwl.
	
	o Created a new Error Panel that is showing any errors that occur when loading a newsfeed in a better
	  way than before. In case a HTTP status code and message is given, RSSOwl will show it, allowing to
	  track down the problem of a feed that is not loading.
	  Also added a button-bar at the bottom of the panel that allows to execute the actions  "Reload", 
	  "Validate Newsfeed" and "Open in Browser", which will open the URL of the newsfeed inside  the browser.
	
	o Implemented Apache's Jakarta Commons HttpClient into RSSOwl:
	
			- #1089644 Support for Digest Authentification (used in LiveJournal)
			  RSSOwl is now fully supporting Base and Digest authentication. For example Digest
			  Authentication is used in LiveJournal
			  
			- Support for Connection Timeout. Added a new preferences into "Connection" to set
			  a connection timeout in seconds. Default is set to 0 (no connection timeout)
			  
			- Improved support for gzip compression
			
			- Full support for HTTPS protected connections to newsfeeds
			
			- HttpClient will retry the connect three times provided that the request has never been fully 
			  transmitted to the target server
			  
			- Note: For security reasons its no longer possible to save a newsfeed with writing the username
			  and password plain text into the URL. Instead check the "Remember Username and Password" in
			  the Login dialog
	
	o The proxy preferences was renamed into "Connection" and now allows to define the max. 
	  number of connections being opened at the same time. Default setting is 32. Lower this
	  value in case your modem or router got problems handling so much open connections. Be
	  aware that a low value results in lower performance when loading lots of newsfeeds.
	  
	o #1094498 Have a "Mark Favorite Read" in the favorite's context menu
		Added a new menuitem to the context menu on a favorite or subscription favorite to
		mark it read.
		
	o #1115282 Show message after creating AmpheRate account


Internationalization:

	o Added new language Hungarian (thanks to Balázs)


Performance Tuning:

	o CPU got up to 99% on all operations that connected to a URL in order to get its entire Content as
	  String (e.g. Feed-Discovery, Feed-Search. Not affected: Loading of Newsfeeds). This was due to 
	  memory-leaking String concatenation.
	
	o RSSOwl was consuming very much Memory when Searching or Discovering for Newsfeeds. This was because
	  each Newsfeed found was completly loaded and cached. The caching could result in an OutOfMemory
	  Exception and was therefor limited to only cache the first 20 Feeds.
	
	o Minimized the calls to DateParser.getDate() that tried to parse the publish date


Bugfixes:

  o Memory Leak in ToolItems with disabled images, which where not disposed on ToolItem disposal.
  
  o When closing a Newsfeed that currently was not selected in the TabFolder, the actual selection was
    moving to the next newsfeed to the right if available.
  
  o Blogs using <pre> or <code> inside the Newstext lost their format (linebrakes) when displayed in RSSOwl
  
  o Enclosures: The size of an enclosure was not displayed and while using the internal browser, the
    URL not clickable.
  
  o When a Favorite was selected and New|Category performed from the File Menu, the new category was not
    added to the same category the favorite was in.
  
  o Context Menu was not updating when switching selection between a category filled with items and an
    empty category.
  
  o OPML Import and Subscription (now Blogroll) had problems working with XML files that did not use
    UTF-8 as encoding.
  
  o ALT and F10 Keys did not work when Focus was inside the Table showing News
  
  o Closing RSSOwl with an opened website in the internal browser that triggered a popup using the
    JavaScript-onUnLoad-Event caused a crash.
  
  o #1156633 Can't find title
    RSSOwl will now search the entire file for the title and not only the first 25 lines.
  
  o #1154702 Feed keeps getting re-marked as "unread"
    In some rare situations RSSOwl did not remember the "read"-status of a news.
  
  o After reloading a favorite that showed an error before, the lense did not indicate unread news even if
    unread news where available in that newsfeed.
  
  o #1156930 Crash opening feed with HTTPS + NTLM
  
  o Images are loaded using Streams and it was missed to close the stream after creation
  
  o Mac: When internal browser was used to display the Newstext, the font-size did not match the size
         that was set for "Text Font" in preferences, but showed as bigger.
  
  o The Newstext panel was not showing Title/URL of News correct, in case they had to wrap because of
    the length. In some rare situations another sideeffect of the wrapping was a StackOverFlowException.
  
  o Mac: When a Tab was closed that contained a Browser instance, the view did not update complety,
    resulting in parts of the Browser still showing over the Newstext area, in case it too showed
    the Browser.
  
  o Searching in news that contained a lot of HTML resulted in a StackOverflowException.
  
  o A selected news in the newsheader Table was not re-selected after sorting the Table. This resulted
    in a crash when performing news-based operations, like "Mark News Unread".
  
  o Fixed a lot of English and German wordings that where not clear enough or simply wrong
  
  o In rare situations it was possible to drag an aggregation into the Tree which crashed RSSOwl
  
  o In case the char '>' was part of a category name, RSSOwl was crashing
  
  o A wrong filename was suggested when saving a newsfeed
  
  o Entering the backslash character ('\') into a non-regex search made RSSOwl crash (Mea culpa!)
  
  o Mac: RSSOwl was crashing in some situations when deleting a category
	
	o #1025761 Deleting category closes hierarchy
  
  o Printable accelerators (like 'n' for Next Unread News) and input fields are now correctly working in most
    situations. Any printable accelerator will be removed for the moment the user has moved focus into an input
    field and restored as soon as the focus is lost.
  
  o Local feeds where loaded from the cache if available, although not necessary, since existing locally.
  
  o A new favorite created via drag and drop from the tabfolder did not show as unread in the tree in case it
    contained unread news.
  
  o #1018029 Aggregations result in inconsistent cache
  
  	This bug was showing when an aggregation contained the same feed twice, or at least one news with the same 
  	title. In that case the cached feed was updated with the wrong, unique title. RSSOwl is now cloning each 
  	newsitem to have a seperate one for the caching of the aggregation.
  
  o Fixed a bug that marked a favorite read in the tree, although it contained unread news
  
  o RSSOwl was crashing when typing "Alt+Enter" anytime the Tree had no Focus
  
  o Switching the position of the Tabs (Top / Bottom) did not display the new position immediately
  
  o Marking all Favorites read from the systemtray context menu often showed the systraypopup although no new unread
    news where present at that time.
  
  o Reduced the size of the user.xml (settings file) by approx. 25% with avoiding storage of redundant information
  
  o The shutdown hook (Thread running in case RSSOwl was quit abnormaly, e.g. when shutting down the OS while RSSOwl
    still running) was made as slim as possible, keeping the focus on saving settings and not having a clean shutdown.
    This should solve the problems some user had that settings where lost after restart.
  
  o Feed-Discovery did not match on feeds that where included using the <link> tag in the head of the HTML
  
  o Fixed wrapping-problems inside the channelinfo-box in case the available space was not enough
  
  o On a language change, the favorite-tree's context menu did not update its language immediately
  
  o Context menu in the favorite tree did not update its items after a Subscription was deleted
  
  o ChannelInfo did not show newsfeed-format info on RDF and Atom Newsfeeds
  
  o In case RSSOwl fails to use the internal browser, the error dialog that shows up did not contain the reason
    of the problem. At least on Linux (where most problems with the internal browser occur), the reason is now
    added to the error message, making it easier to get out the source of the problem.
  
  o The defaults for new favorites (set in preferences) were not used in all situations, where a favorite was added
  
  o Opening the internal browser forced focus to the application, bringing the window to the front, even if another
    application was visible at that time.
  
  o Opening webpages into a new Tab of the internal browser is now selecting the new tab if set in preferences
  
  o The internal browser did not show the correct URL inside the Location Text field when surfing
  
  o Fixed a NullPE when loading a newsfeed from the cache that was not referenced in the file system anymore
  
  o Some menuitems and toolitems in RSSOwl did not show/update associated hotkeys: ToolItems in the Favorites
    Tree Toolbar, Newstext panel with normal view, 
  
  o When calling "Exit" from the "File" Menu, RSSOwl was moving to systemtray in case the "Move RSSOwl
    to tray on exit" was set to TRUE. RSSOwl is now only moving to systemtray, in case the Window is closed
    using the "Close" button.
  
  o Donation, Mailinglist and Homepage did not load in the internal browser if set to use
  
  o RSSOwl did only respect name, style and width of a Font, but not other OS specific Font information
  
  o Fixed one critical error and one warning when compiling RSSOwl with JDK 1.5
  
  o Windows: Reduced default fontsize to the height of the system default font, expect for
    newstext and header font, which was decreased to 9px height
  
  o ColorDialogs, FontDialogs and FileDialogs that where opened from another Dialog 
    (like the Preferences Dialog) showed at the wrong location. They now take the opened
    dialog as parent, and not RSSOwl's application window itself.
  
  o RSSOwl was not recognizing a RSS version declaration of "2.00" as "2.0" and then used
    the default version 0.91
  
  o The internal browser did not update its font on a font-change for the currently
    displayed news
  
  o A displayed news was not highlighting words from a search if it was matching

	o When changing the fonts in preferences, the favorites tree was not correctly updated
	
	o "Save..." is now correctly labeled as "Save As..." in the File Menu
	
	o The sourcecode format was changed to use spaces instead of tabs for indentation
	  
	  
Changes in Version 1.0 (Release Date: 2004-12-19)
-------------------------------------------------

Features:

	o #1079552 splash screen optional
	  A command line parameter is now allowing to disable the splash screen on startup.
	  Use "-Dnet.sourceforge.rssowl.noSplash" as parameter to the java.exe call, or on 
	  windows "-showSplash false" as parameter to the rssowl.exe.
	
	
Internationalization:

	o Updated the Chinese Traditional translation (thanks to Alan Cheng)
	
	o Finished the Danish translation (thanks to Arne Eckmann)


Bugfixes:

	o Very large newsitems containing lots of text did not show correctly when exporting into
	  a PDF or RTF.
	
	o Loading multiple newsfeeds on startup gave focus to the first feed that finished loading,
	  which was not the first tab in all cases. Now the focus is always given to the first tab
	  of all loading feeds.
	
	o Fixed some bugs that made the Feed Validator, Feed Search and Feed Discovery not working
	  correctly in case more than one instance of each was opened at the same time.
	
	o When opening more than one of the dialogs Feed Search, Feed Discovery or Feed Validator,
	  the dialogs of the same kind where positioned exactly on the same place. They are not
	  moving some pixels to the bottom right corner to not overlap the others.
	
	o The Feed Validator did not clear results when typing a different path or choosing a
	  different file to validate
	
	o When deleting a Favorite in the Tree, the context menu was not updated on the next
	  selected TreeItem. On some OS after deletion, the selection moves to the next parent
	  item.
	
	o The Hotkey for "New > Favorite" was not updated after changed in preferences, and not
	  set after restart of RSSOwl
	
	o To avoid OutOfMemoryException that sometimes showed up when reloading all favorites, 
	  the maximum size of memory allocation pool for the Java VM was doubled to 128 MB
	
	o Apply / Restore buttons in preferences missed mnemonics
	
	o Korean, Japanese, Chinese Simplified and Chinese Traditional no longer show mnemonics
	  in the menus and dialog buttons.
	
	o The container providing number of search results and the close-search button took too
	  much vertical space and was minimized with the help of a new, smaller close-icon
	
	o The search is now ignoring any text that is inside HTML Tags. Since HTML is not visible
	  to the user when the internal browser is activated, it does not make sense to take these
	  into consideration when checking if a news is matching.
	
	o The internal browser is now preloading itself on startup, so that in case the browser
	  is used to display a news, it no longer takes some time to load it.
	
	o #1078276 all feeds marked as updated
	  When reloading read news that contained no link-tags, but only guid-tags, RSSOwl
	  was not recognizing those as already read
	
	o Feed Search and Feed Discovery dialog used wrong layout for input text-fields
	
	o Buttons are now having the correct height. On Mac, using a small dialog font, most
	  of the buttons where cut off some pixels.
	
	o Added newline chars to the end of Title and URL when printing news
	
	o Printing News when internal browser view was activated did not print the rendered
	  HTML, but the plain Text. It will now print the HTML out of the browser
	
	o In some rare situations non-valid Atom newsfeeds could result in an exception. Made
	  the parser tougher for those situations
	
	o #1084368 Clicking on folder rolls it up
	
	  When open-mode is set to Single Click, Categories will no longer expand on a single
	  click. Only favorites will open on a single click.
	
	o #1038649 Avoid resetting view of news article when reloading
	
	o #1083869 spelling error in help
	
	o #1083872 Some MenuItems missed the ellipsis (...)
	
	o #1083863 Problem with carnage for Life (Atom format newsfeed)
	
	o #1080746 Empty news in Atom feed
	  Summary element in ATOM feeds is now recognized as description in case XHTML format
	  is used inside a DIV tag

 
Changes in Version 1.0 RC1 (Release Date: 2004-05-12)
-----------------------------------------------------

Features:

	- The use of the internal browser to display newstext is now activated by 
	  default on Windows
	
	- Added a "Maximize / Restore" button to the right side of the TabFolder allowing to
	  quickly maximize the view. Maximizing the tabfolder will hide the Favorites tree
	  and the quickview box if visible. For example when surfing a webpage, maximizing
	  the tabfolder will use the entire space of the window for the browser.
	
	- Windows: rssowl.exe is now correctly accepting these parameters:
	
			o -vm <Path to Java Home Directory>	
				-> Specifies the VM to use for RSSOwl (fixed, did not work before)
			
			o -profile <Path to existing Directory>	
				-> Will create the profile that contains all settings and feeds in the given dir
				
			o -url <URL>	
				-> Will load the URL as newsfeed inside RSSOwl
	
	- Resizing of internal panels (Favorites for example) is now running smoothly
	
	- "Restore RSSOwl" from the system-tray menu is now showing in bold marking it the
	  default menu operation.
	
	- Exporting a newsfeed to HTML, or viewing it in HTML on the fly using the new
	  "View Newsfeed in HTML" feature, will no longer show escaped HTML in case the
	  feed contained HTML.
	
	- Changed the main menu order to: 
		File | Edit | View | Goto | Newsfeed | Favorites | Tools | Help
		This is most common in other applications, so users should feel comfortable with it
	
	- Added a new main menu entry "Favorites" containing "Add to favorites" which moved from 
	  the newsheader menu into there. "Favorites" also includes the toolitems that are placed
	  above the favorites tree (Mark All Read, Reload All, Search All, Aggregate All). Its
	  possible to assign hotkeys to these common actions. This also makes it possible to
	  use them while favorites are set to hidden.
	  For a clearer understanding, "Newsheader" was renamed to "Newsfeed" in the main menu.
	
	- After a feed was opened using the Quickview input combo the focus is now moving away
	  from the combo to the opened feed, so that hotkeys like Ctrl+F for search will work.
	
	- When a search is performed and the results are viewed with the internal browser 
	  view activated, the keywords from the search will now appear in result highlight
	  color the same way as they do when internal browser view is deactivated.
	
	- A lot of improvements implemented for the search inside newsfeeds:
	
			o The input field for the search term was changed to a Combo that will remember
			  all searches of the running session (available in the drop-down of the Combo)
			
			o RegEx search is now working correctly without need for wrapper like (.*)
			
			o Results from a RegEx search will now paint in Result-Highlight-Color as normal search 
			  results do too
			
			o Search option "Regard Case-Sensitivity" now correctly recognized by RegEx search
			
			o Search for entire word is now working correctly for the first and last word of the 
			  feed's title or description
			
			o Search Dialog is now remembering the last search including search options
			
			o In case the search included special chars (like *, ., -) that are also used by regular
			  expressions, the search-keywords where not not highlighted in the results.
			
			o Search Dialog is now selecting the search term when by pressing Ctrl+A 
			  (Cmd+A on the Mac)
	
	- Improved the offline mechanism of RSSOwl. Feeds are now no longer deleted from the local
	  cache in case a reload is performed. So, its now possible to work with RSSOwl while being
	  offline, even in case feeds are reloaded. Another bugfix is now allowing to aggregate
	  cached feeds while being offline.
	
	- #1066808 Button to hide Favorites pane
	
		Added a small "Close" button to the favorites tree panel to hide it
	
	- #1040868 Show link URL in status bar or tooltip
	
		Whenever the browser view is activated for newsitem's text, moving the mouse
		cursor on a Link will show the Link location as tooltip next to the cursor.
	
	- Added new option into "Workbench" preferences to enable / disable local caching of newsfeeds
	  to read them while being offline. If you are not using RSSOwl while being offline I recommend
	  to turn local caching off for performance and disk space reasons.
	
	- The context menu that is set on the newstext area is now showing hotkeys that are set on it
	
	- The "Welcome" and "Update Available" message tabs have been redesigned from scratch. The
	  welcome tab shows a lot of usefull links (e.g. "First Steps" with Tutorial and FAQ). From
	  the "Update Available" tab you are now able to download the new RSSOwl version directly
	  by clicking on the link on top of the tab.
	
	- Message Tabs (like Welcome or the Update avaialbale Tab) will now maximize like Browser Tabs
	
	- Integrated a real "No Tabs" modus into RSSOwl. Unchecking "Display newsfeeds in Tabs"
	  will activate it. The difference to previous versions (which used a kind of fake
	  "No Tab" modus with hiding all tabs) is that any feed / browser / error or message
	  is loaded into the same window. No multiple tabs anymore.
	  
		Please note that surfing with the internal browser is limited in the "No Tabs" modus.
		Any links that require a new window, will not work, since no new tabs will open in
		that modus. Loading the new location inside the current displayed one would have the
		disadvantage of any popup overlapping the page the user is currently looking at. Thus,
		blank links and popups are therefor not supported in the "No Tabs" modus.
	
	- It is now possible to assign a hotkey to "New > Favorite". Default hotkey is Ctrl+N
	
	- Changed the logical structure of the menuitems in the favorite's tree context menus.
	  Renamed "Edit" to "Properties" when calling the menu from a selected Category. Removed
	  "Edit" and renamed "Information" to "Properties" when calling the menu from a favorite.
	  "Properties" will directly open the "Properties" of the favorite, allowing to edit it.
	  The "Preferences" > "Use Proxy" was renamed to "Proxy" > "Use Proxy" and will only
	  appear in the Menu in case the Proxy is activated in settings.
	
	- Added mnemonics to most of the Buttons in all dialogs
	
	- #1067193 Provide a way to clear a search and restore the feed
	
		A new "Close" button showing as red cross was placed to the right of the status info,
		about how much news matched the search. Pressing it will close the search and restore
		all news of the given feed.
	
	- #1025776 Should have an Edit Menu
	
		Finally an "Edit" menu was added to the top menu as second MenuItem. It contains
		the usual actions like Copy, Paste and Select All. Those are working on most of
		the text controls in RSSOwl.
		In addtion the item "Properties" will open the "Properties" dialog in case a
		favorite or category is selected in the favorite's Tree.
	
	- #1022046 Default properties for newsfeeds
	
		Added a new preferences page "Favorites" that allows to set default values for any
		new favorite. These are settings for Auto-Reload Interval, Reload on Startup and 
		Open on Startup.

	- Added a new preferences page "System Tray" as sub-item to the "View" preferences.
	  Moved system-tray related options from "View" into there to clean up the overloaded 
	  "View" preferences page.
	
	- #1027037 Option to leave "New news" popup up
	
		Added a new option "Close News Popup automatically" that will keep the news
		popup opened in case its not checked.
	
	- #1032532 Take entire news sorting into consideration when sorting
	
		In case two newsitems have the same value for an sorting order item that RSSOwl 
		wants to sort them, the next sorting order item from the list is now taken as
		sorting item, instead of the title.
	
	- It is now possible to read the displayed newsfeed in PDF, RTF or HTML with a
	  single click. Select your format from the new menuitems in "View" and RSSOwl
	  will create the document out of the displayed feed and launch the default
	  application to view it.
	
	- Results will now show up many times faster in the Newsfeed search and Newsfeed
	  discover engine. This is done by preferring links from the results that have
	  common newsfeed extension (.xml for example).
	
	- Added "Display Newstext in Browser" to the "View" section in the Preferences
	
	- Added "Display Newstext in Browser" to the context menu that is placed on the
	  Newstext in the bottom-right newstext panel.
	
	- Extended OPML export with new attributes htmlUrl (URL of the newsfeed provider), 
	  language (of the newsfeed) and the description.

	- #1035819 roaming profile capability
	
		Using "-Duser.home=<Path to Dir>" its possible to tell RSSOwl where to store settings
		
Internationalization

	- Added new language Turkish (thanks to Engin Erenturk)
	
	- Add missing Czech and Slovenian to installer language
	
	- Completed Bulgarian language translation
	
	- Fixed some typos in the English translation
	
	
Bugfixes:

	- Mac: Fixed a critical bug that caused RSSOwl to hang and crash upon exit
	
	- Newstitles only containing whitespaces are no shown with "No Title"
	
	- When the TabFolder was not used and the setting "Re-Open last feeds on startup" was
	  set, a bug caused RSSOwl to re-open all Tabs that where opened in the session
	
	- The number of parallel running connections to load feeds was reduced from 64 to
	  20 since in some situations an OutOfMemory exception crashed RSSOwl due to the
	  big number of parallel running threads. 
	  Measuring the time it takes RSSOwl to load the 130 sample favorites, no difference
	  in performance is resulting from that change.
	
	- A major bug was fixed that caused RSSOwl to crash when selecting a news in the
	  newsheader table. Big thanks to the SWT team at Eclipse, being so quick in
	  fixing bugs :o).
	
	- Mac: A smaller default font is now used when first starting RSSOwl
	
	- Mac: Most of the widgets like the favorites Tree will no longer show a focus ring
	
	- Some dialogs did not have a default button set to the window
	
	- The parent of the internal browser in the newstext area was using wrong layoutdata, 
	  which resulted in a crash in very rare situations, due to a ClassCastException
	
	- RSSOwl crashed when chosing an encoding from the Font preferences that was not
	  supported by Xerces XML parser. In that case, RSSOwl falls back to use UTF-8
	
	- Mac: "Right-Clicking" (Ctrl + Mouse) on a news in the newsheader table did
	  load the contents of the news in the newstext area, rather then just open
	  the context menu to the news
	
	- Fixed a critical bug that caused RSSOwl to crash when using the internal browser
	  on pages that used javascript:close() Method, e.g. to close popups.
	
	- Very long URLs that needed more than a single line to display in the lower-right
	  newstext area draw wrong in some cases.
	
	- The RegEx used to match URLs was replaced by a better one, matching more links
	
	- Mac: Last position and size of the application window was not remembered after
	  startup
	
	- Linux: Last position of the application window was not remembered after startup
	
	- Linux: Its now possible to enter hotkeys into the key-sequence input field of
	  the hotkeys preferences page
	
	- A doubleclick on a newsitem with a guid as URL did not open it in the browser
	
	- Search results label was not wrapping in case text was too long to display
	
	- Search and discover of newsfeeds failed in some situations, because RSSOwl was not
	  reading the entire target to search for newsfeed links.
	
	- The discover of newsfeeds on a website is now correctly recognizing URLs that where
	  embedded in an anchor tag that was written in Non-Lowercase (e.g. A, HREF)
	
	- In some situations RSSOwl was not working correctly with URLs that used HTTPS as protocol.
	  For example in case a newsfeed used HTTPS and the title was grabbed from it using the
	  related button in the "New Favorite" dialog, the connection failed. Connection also failed
	  when discovering newsfeeds on a webpage that used HTTPS.
	
	- Marking all news read in an aggregated category was not updating the related favorite's
	  unread status in the favorites tree
	
	- Marking a news from an aggregated category read did not update the related favorite's
	  unread status in the favorites tree
	
	- Fixed a bug that caused RSSOwl to crash when the computer was offline and multiple
	  favorites where loaded from the local cache (non thread-safe-access problem)
	
	- [Mac] Date label bottom right was overlapped by window-resize button
	
	- [Mac] Disabled all PDF/RTF/HTML features, since they are not working on Mac. As long as
	  there is no solution (to run SWT together with AWT, that is needed by iText to generate
	  PDF documents), it will remain disabled.
	
	- [Mac] Dock Icon was looking very bad and did change when opening internal dialogs
	
	- Tutorial was not displaying properly on Mac, when use of internal browser was activated
	
	- Some menuitems had a "..." showing although no input was needed from the user, and
	  vice versa, some menuitems missed a "..." where user input was required
	
	- Icons in the favorites tree where updated (read <> unread) even if not necessary

	- Improved startup performance and fixed some memory leaks resulting from undisposed images
	
	- Favorites Tree flickered when removing very much favorites (e.g. deleting "Samples")
	
	- Method getContent(URL url) in FileShop did not return all content in some cases
	
	- Search was not considering the <source> Tag in Newsitems
	
	- Fixed wrong search results in case Newsitem contained Comments
	
	- Mac: Order of OK | Cancel Buttons was not common (changed to Cancel | OK)
	
	- The "Body" text widget in NewsTip preferences overlapped the Group widget
	
	- Closing a browser tab could sometimes crash RSSOwl
	
	- Dateformats for some languages where missing (bottom right date display field)
	
	- Any element from the newsfeed's XML document that is empty, is now being ignored
	  by the parser. Those elements are treated as if not existing.
	
	- Hotkeys are now shown for the context menu set on the Newsheader Table
	
	- Removed icons from Context Menus when running RSSOwl on Mac
	
	- RSSOwl performed very slow displaying news that contained lots of links. This only
	  occured when the browser view for newstext was not active.
	
	- RSSOwl crashed as soon as an OPML was imported with an outline category that had 
	  an empty title set (title="")
	
	- The context menu placed on the newstext panel placed a wrong seperator in the menu
	  between links from the text when running RSSOwl on Linux
	
	- The description field in the "Channel Info" box above the table containing news
	  will now wrap its content in case its too long to display in a single line
	
	- Removed the "Open new Tab" button from the Tutorial Browser
	
	- In case the doc directory containing the FAQ and Tutorial is not available, RSSOwl
	  will try to load them online from rssowl.org.
	
	- The text in PDF exported newsfeeds that used Asian Fonts (Japan, Koren, Chinese)
	  did not display correctly. RSSOwl is now chosing the correct asian font in
	  dependance of the JVM' locale.
	  
	- #1067174 Some keys not working in newsheader table
	
		Keys "Page Up", "Page Down", "Home", "End" did not work in the table containing 
	  newsheaders
	
	- #1067172 RSSOwl looses column width after refreshing
	
	- #1070713 Https seems not work
	
	- #1054215 NL in Blogger fields disturb program parameters
	
	- #1041488 Aggregated categories not being marked as read.
	
	- #1012990 [SWT-Bug] W2K: SWT sizes table-columns with bold text wrong
	
	- #1038649 Avoid resetting view of news article when reloading
	
	- #1033464 Trim whitespace in titles
	
	- #1033404 The tab's icon is not restored after an error
	
	- #1032622 Control/Command-W to close


Changes in Version 0.9b (Release Date: 2004-21-09)
--------------------------------------------------

Features:
	
	- Updated SWT to latest version from Eclipse 3.1 release:
			o Internal Browser on WinXP is now showing WinXP Look & Feel
			o Internal Browser on WinXP no longer paints border around it
			o Internal Browser on Linux is now supporting Mozilla 1.7
			o Activated MRU in TabFolder to show most recently selected Tabs
			  in the TabFolder in case there is not enough horizontal space
			o A lot of bugfixes
	
	- The browser tab is now showing a small progress bar in the bottom right corner
	
	- All input fields are now selecting their content in case CTRL+A (CMD+A on
	  Mac) is pressed or a MouseDoubleClick was made inside the textfield.
	
	- Updated Layout of PDF, RTF and HTML generated documents. News are now placed
	  in a Table for better readability. Added Date of the News (if given), the
	  newsfeed's title and URL the news came from and the author of the news.
	  
	  In PDF documents an outline is generated showing the Titles of all news that 
	  where exported. Selecting a title from the outline automatically shows that
	  news in the PDF reader.
	  
	  The order of the news showing up in the exported document is now dependant
	  on the order they are displayed in the newsheader table. For example, news
	  sorted by publish date will appear in that sortorder in the Document.
	
	- Added a button to the controls in a browser-tab to open a new browser-tab 
	  with a a blank webpage.
	
	- #1027034 Support HTTPS (SSL) Connections 
	
		RSSOwl should now fully support connections to SSL protected newsfeeds. Earlier
		versions had problems with validation of certificates. Those validation is now
		skipped and each certificate accepted to access the feed.
	
	- Updated JDom to version 1.0
	
	- Replaced most of the icons with new ones from Eclipse 3.0
	
	- #1000231 Single button to scroll through all new news
	
		Using the "Next News" or "Next Unread News" action will now take all opened
	  tabs into consideration. For example, in case the current tab does not contain
	  any unread news, but any other opened tab does, calling "Next Unread News" will
	  automatically open that tab and select the unread news.
	
	- Changed the channel info box above the Newsheader table to require less vertical
	  space. Also removed the yellow up and down arrow.
	
	- The title in a tabitem containing a browser will now contain max. 40 characters.
	  This avoids having very wide tabs open, because a homepage's title is very long.
	
	- It is now possible to assign hotkeys to "View" > "Quickview" and "Favorites"
	  in order to quickly show / hide Quickview and Favorites Tree.
	
	- #1013898 hiding favorites
	  From the "Window" menu it is now possible to de-select "Favorites". That will
	  hide the favorites Tree. Select it to restore it.
		
	- #1019430 Hide "News" window when browsing
		Whenever a browser tab is opened in the tabfolder, the Newstext panel below
		(or right to it, in case the 3-Column-Layout is activated) will hide, so that
		the browser tab becomes maximized. 
		
		Above two features allow you to view a website inside a tab that fills
		the whole application window, in case Quickview and Favorites are made hidden.
		Just like a real browser =).
	
	- Inspired by #1019706 RSSOwl should save settings periodical while running,
	  RSSOwl is now shutting down clean (thus saving settings and other data to
	  the user directory) even in case the system is shutting down while RSSOwl
	  is still running. This most often happens when RSSOwl is minimized to tray
	  and the user shuts down the OS, not willing to exit RSSOwl.
	
	- #1018534 Minimize program by mouse-click on tray-icon
	  On Linux, selecting the trayicon while RSSOwl is visible, will minimize the
	  application to tray.
	
	- #982494 Import multiple RSS feeds / Auto-discovery
	  Implemented a new Dialog "Discover Newsfeeds on website" into RSSOwl. Find it
	  in the top-menu on "Tools".
	  This dialog prompts for the URL to a website which is referencing newsfeeds
	  as links in its content. After the search has started, the dialog will give
	  out all newsfeeds from the website as results, similiar to the "Search for 
	  Newsfeeds" dialog. The user is then able to Open feeds from the results, Import 
	  all of them into a category and to Export them to OPML.
	
	- #912998 Direct import search results to favorites
		Finally it is possible to import the results of a search for newsfeeds into a
		category. Select "Import..." from the Search Dialog, choose a category or create
		a new one and click OK. 
	
	- RSSOwl is now remembering which news have been rated and which not, at least
	  in the running session. Simply have a look at the new rating-icon in the
	  status-line (left to the current date) and if it becomes blue while a news is
	  displayed, you've rated that news before.
	
	- Inspired by koreth, several interface improvements have been implemented. For
		freeing up screen real estate the blue title bars for "Newsheader" and "Newstext"
		have been removed. Therefor the button to rate a news has moved into the Title
		container. The button to switch the view from normal to internal-browser was
		removed, since its easy to access it with a hotkey (per default its CTRL+B).
		A new icon was placed into the status-line, left to the current date. It paints
		itself blue as soon as a news was rated with AmphetaRate. A tooltip set on the
		icon shows the rating.
	
	- #1003632 User preference: news feed sort order
	  Added a new page to the preferences that allows to define how RSSOwl should
	  sort a newsfeed or aggregation when it is displayed in the tabfolder. The
	  user is able to prioritize common feed data like Publish Date, Title, Read-Status
	  by which the feed should be sorted. 
	  With another check-box it is possible to deactivate auto-sorting. Then news
	  will appear as they are placed in the XML document of the newsfeed.
	
	- #1012342 on tab close, focus on next tab
	  When closing a tab from the tabfolder, the selection will now go to the next
	  item to the right of the closed item, instead of selecting the next item to
	  the left.
	
	- #1012349 Paint unread favorites bold  
		To make it easier for the user which favorites and categories contain unread
	  news, RSSOwl is setting the font-style of those to bold. The font-style is
	  set back to normal, when all news of the favorite are marked read.
	
	- It is now possible to set the position of the tabs in the tabfolder. From the
	  popupmenu on the tabitems select "top" or "bottom" from the Menu "Position".
	
	- Inspired by a patch from koreth (#1012084 Remove HTML tags from article titles),
	  RSSOwl is now removing HTML Tags from the titles of all news, in case the feed
	  uses HTML in them.


Internationalization:

	- Added new language Slovenian (thanks to Jure Zemljič)
	
	- Added new language Czech (thanks to Lukas Petrovicky)
	 

Bugfixes:

	- Entire Tabfolder flickered when a tabitem was reloaded
	
	- When editing, creating or deleting Favorites or Categories in the favorites tree
	  (including any Drag and Drop operation) all Categories that indicated unread news
	  are available, lost that information and displayed themselves as normal ones.
	
	- Some menuitems like "Export to PDF/RTF/HTML" did not become disabled in case a
	  search was performed on a feed that returned no results.
	
	- Tabs containing feeds which where aggregated (or reloaded by reloading an entire
	  category) where not updated in the tabfolder.
	
	- RSSOwl showed a success dialog when exporting categories / favorites or settings
	  into a file, even if the FileDialog was canceld by the user.
	
	- Empty "about:blank" tab opened sometimes when selecting next news via Keyboards
	
	- Selecting a Tab with a Browser did not set focus on the browser but on the "Cancel"
	  button in the Toolbar left to the location input field
	
	- The "cache" folder that RSSOwl uses to store loaded newsfeeds for offline reading
	  was not cleaned up properly on exit of RSSOwl.
	
	- When changing the overall layout from 2 to 3 or 3 to 2 Column Layout, all opened
	  feeds had to open again, and the newstext panel was cleared.
	
	- When shutting down the PC while running RSSOwl minimized to the tray on windows,
	  RSSOwl's Window-Size and Window-Location were saved with wrong values.
	
	- Changed "Close" hyperlink widget into label widget in channel info box, because widget 
	  was not shown correctly on Linux.
	
	- The [NEWSLINK] wildcard used for the blogger was often replaced with "NULL" as value
	
	- Dragging a Tabitem into the Favorites Tree to create a new Favorite did not apply
	  description, language and homepage information to the new Favorite. Creation date
	  and last visit date where missing too.
	
	- MenuItems located under "Preferences" > "Use Proxy" in the favorite's tree
	  popup did not update immediately after the proxy has been enabled or disabled
	  in preferences.
	
	- MenuItems located under "File" > "New" did not translate immediately after
	  the language has been changed in preferences.
	  
	- RSSOwl threw an Exception when it was closed while feeds where loading
	  that wanted to show up in the tabfolder (Linux)
	
	- #1027584 Problem parsing Publish Dates
	
	- #1027246 Descriptions should have white space normalized
	
	- #1026826 Incorrect behaivor by adding a new favorite wo category
	
	- #1026782 Bad menu shortcut keys
	
	- #1026462 Mac OS X should not have File/Exit
	
	- #1025778 Keyboard shortcut for delete feed
	
	- #1024125 too many threads lead OS crash
	
	  Reduced the max number of parallel running Threads when aggregating a category to 
	  64
	
	- #1025796 On Mac OS X preferences directory should not begin with a .
	
	- #1021981 can't get key focus on Newsheader lists 
	
	- #1021923 Alphabetical order
	
	- #1009124 Bug in MacOSX version
	  The context menu located on the tabitems did not close after it was opened
	
	- #1008087 News header image content sometimes fails to display
	
	- #1012036 Icon of czech language
	  
	  
Sourcecode:

	- Updated ANT build.xml script in source release with four deploy targets for
	  each supported OS (win32, linux, mac, solaris). See the Readme in the source
	  release for more details.
	
	- Updated ANT build.xml in source release to also deploy the tutorial
	

Changes in Version 0.82b (Release Date: 2004-08-18)
---------------------------------------------------

Features:

	- Big, big, big performance boost on aggregations. The loading, reloading and
	  searching of an aggregated category is now done simultaniusley. 
	  A comparison of time it takes loading the 130 sample favorites (DSL Connection):
	  
	  	Old RSSOwl 0.81b: 90.5 seconds
	  	New RSSOwl 0.82b: 14.5 seconds (!)
	  	
	  Please note that in case there is one feed that needs very long time, because
	  the server is slow, you are still able to skip the loading of that feed. Its 
	  now even possible to skip not only feeds from aggregations, but any feed that 
	  is loaded.
	
	- It is now possible to load more than one aggregation at the same time, together
	  with loading newsfeeds. In short words: RSSOwl is not blocking any operation
	  with a "Please wait..." dialog anymore!
	  And even better, a precise percentage value gives out the status of the process.
	
	- #1007586 More keywords for blogger export
		Added more allowed joker to the list of jokers in "Format NewsTip Mail" and "Blogger"
		properties:
		
		[AUTHOR]: 			Will be replaced with the Author of the newsitem
		[CATEGORY]: 		Will be replaced with the Category of the newsitem
		[DESCRIPTION]: 	Will be replaced with the Description of the newsitem
		[PUBDATE]: 			Will be replaced with the Publish Date of the newsitem
		[PUBLISHER]: 		Will be replaced with the Publisher of the newsitem
		[SOURCE]: 			Will be replaced with the Source of the newsitem
		
		Find these new jokers in the Popup menu that is set on the input fields.
	
	- Most dialogs in RSSOwl will now disbale the "OK"-Button in case the user has
	  not yet entered all requiered data.
	
	- Updated SWT to 3.0.62
	
	- RSSOwl is finally able to handle URLs which miss a protocol. For example
	  entering URLs like "myfeed.org/feed.xml" will automatically be trated as
	  "http://myfeed.org/feed.xml" and "www.myfeed.org/feed.xml" treated as
	  "http://www.myfeed.org/feed.xml".
	
	- The dialog to enter Username and Password to a protected newsfeed will now
	  show the realm of the authentication, rather than the URL. In case the realm
	  information is not given, only the Host of the URL is displayed.

	- It is now possible to store Username and Password to a password-protected
	  newsfeeds (the ones that will bring a dialog to the front prompting for
	  username and password for the feed). Selecting that option from the dialog
	  will make RSSOwl use the username and password values as authentification
	  automatically for future loadings.
	  Therefor the mechanism to store passwords (that also includes proxy username
	  and password set in preferences) has been improved.
	
	- #996042 Bring new feeds to top in aggreated view
	  Aggregated feeds will now sort by status (unread / read) in case at least one
	  of the feeds in the aggregation does not contain the "publish date" field.
	
	- Selecting "Open..." from the File-Menu will now open a dialog that either
	  allows to enter the local path to a newsfeed, or the URL. In both cases,
	  RSSOwl will display the Newsfeed in a new tab in the tabfolder.
	  
	- Content Namespace now supported when parsing RSS Version 2


Bugfixes:

	- FeedParser for Atom was not supporting the "summary" element

	- Fixed some problems with Atom feeds crashing RSSOwl (thrown NullPE)
	
	- Fixed a bug that crashed RSSOwl in very rare situations when working with the 
	  internal browser, surfing the web.
	
	- RSSOwl displayed the URL from the last visited newsitem in case a newsitem was
	  displayed that did not had an URL set (only if URL was null).
	
	- In case "xmlUrl" attribute held an empty String in an OPML file to Import, RSSOwl
	  will ignore that favorite, because at least an URL must be given
	
	- GUID was not used as Link when using "Blog news" and link was empty, but GUID given
	
	- Feed search dialog and Feed validator dialog layout controls badly when resizing
	  to a smaller height, than the preferred one.
	
	- Source release was missing the rssowl.ico icon file
	
	- Loading more than one feed parallel, the status line was forgetting the style
	  of the running job (with style "loading", "reloading" or "searching" is meant)
	
	- In some cases very long titles or urls in the newstext header were not wrapped
	
	- Fixed floating scrollbars in newstext description panel
	
	- RSSOwl crashed when an opened newsfeed was sorted by any of the columns after the
	  langage has been changed in preferences.
	
	- Image of Title-Area in Favorite- and Preferences dialog was updated everytime
	  when a selection was made in the tree. This was now changed to only update the
	  title text.
	
	- Import / Export / OK and Cancel buttons did not update their sizes correctly 
	  on language change in preferences dialog.
	
	- Items in the favorite tree will now react upon selection with the mouse
	  (either on doubleclick or single click, dependant of what the Open Mode
	  is set to) if the mouse is over the Tree Items image on the left side
	  of it, too.
	
	- Fixed bad positioning of auth-dialog on protected newsfeeds
	
	- In some situations an exception was thrown when RSSOwl was trying to setup
	  the proxy when loading a newsfeed.
	
	- In some rare situations a tab with no title showed up and crashed RSSOwl
	  after closing it.
	
	- RSSOwl will now run on other JDKs than SUN (for example IBM) without any
	  limitations. Proxy was not working because of the Base64Encoder used from
	  the sun package. Now the Base64 class from Apache Xerces is used instead.
	
	- Titles and URLs did not wrap correctly in the Newstext panel on Mac
	
	- On some platforms RSSOwl did not launch because of an StackOverFlowError that
	  was caused because a component called its layout() method in an endless loop

	- When using a proxy server with RSSOwl, opening newsfeeds via the Quickview
	  Method did not use it.
	  
	- #1003121 Rssowl 0.81b can't save it's settings
	  The new XML parser that was introduced with RSSOwl 0.81b fails when reading XML
	  documents that are located in directories that contain special chars, like the
	  german umlaut or accentuated letters. That resulted in RSSOwl forgetting settings,
	  in case the settings XML file was saved in such a directory. Thanks to Stéphane
	  for pointing me to this critical bug.
	
	- #1010632 Atom feed doesn't load
	
	- #1009082 Delete Deletes To Much
	
	- #1008125 RSSOwl is using the wrong Blogger permalink 
	
	- #1007817 Description doesn't show
	
	- #999227  0.81b Use proxy setting used for all favorites 
	
	- #1008734 Won't load anything
	
	- #1000378 RSSOwl and IBM JDK - NoClassDefFoundError 
	
	- #1005980 Exception loading feed when Proxy Authorization is enabled


Code Cleanup and Refactor:

	- RSSOwl is no longer using any method that is considered deprecated (e.g. stop() from Thread class)

	- Removed prefix "RSSOwl" from most of the classes for a better readibility of the source


Changes in Version 0.81b (Release Date: 2004-07-27)
---------------------------------------------------

Features:
	
	- Finally its now possible to load / reload / search newsfeeds even when a
	  loading is done at the same time. The only situation that is left where
	  RSSOwl will block loading, is when an aggregation is performed in the
	  background, or the user wants to perform an aggregation while a feed is
	  loading. In any other case, unlimited number of newsfeeds may be loaded
	  parallel.
	
	- New Artwork in place for RSSOwl, special thanks to Jesse for creating those!
	  Application Icons, Splash and Banner have been replaced with the new ones.
	  Also replaced some icons inside RSSOwl with new ones from Eclipse 3.0.
	
	- A warning in the favorite dialog that the URL or Title of the new favorite
	  is already existing will now show immediately after selecting "Add to favorites"
	  from the Newsheader menu.
	
	- Some minor layout and look changes in all dialogs of RSSOwl
	
	- The popup menus on categories and subscriptions in the favorites tree will
	  now have all items disabled which need favorites as childs, in the case the
	  category / subscription is not filled.
	
	- New option in Workbench preferences to "Mark feed read on tab close".
	  Enabling this option will mark all news of the displayed feed read,
	  after its tab has been closed.
	
	- Implemented a small popup that shows when RSSOwl is minimized to system tray and
	  new, unread news are available. The popup will appear in the bottom-right corner
	  above the system-tray and stay there for some seconds until it closes automatically.
	  Clicking on the content of that popup will restore RSSOwl.
	  In addition, the "Minimize RSSOwl to System Tray" feature is now enabled by default,
	  together with the new popup.
	
	- Now only the first newsfeed of a number of automatic opened newsfeeds on startup 
	  will grab focus in the tabfolder.
	
	- The newsfeed search was performance tweaked. Results should now make it 
	  into the table a bit faster. Please note that the search is still a job 
	  that eats a lot of bandwith. It'll always take more time on a slow dialup
	  connection.
	
	- The newsfeed search will now also display newsfeeds as result that have not
	  set the the correct encoding in the XML document. The parser will in that case
	  try to parse the feed with the OS default encoding if UTF-8 failed.
	
	- The dialog to choose a category in the create / edit favorite dialog is now
	  allowing to create new categories. The new category will be created as a
	  sub-category of the selected one.
	
	- GZIP compressed newsfeeds send from the server are now supported. Some server
	  provide gzip compression of their content heavily speeding up the download
	
	- RSSOwl is no longer using Crimson as XML parser. Added Apache Xerces 2.6.2
	  as parser. Xerces is recognizing the byte order mark (BOM) which Crimson
	  was not. This makes RSSOwl handle newsfeeds with BOM. BOM is used to tell
	  the parser what encoding is used (UTF-32 big-endian, UTF-32 little-endian,
 		UTF-16 big-endian, UTF-16 little-endian, UTF-8).
 		With this new XML parser all parsing error messages will change. In the
 		case of the feed validator, the messages are more detailed, showing the
 		DTD rules for each element. Unfortunately the messages are not localized
 		but plain english.
	
	- New option in Workbench preferences to "Mark all news read on minimize".
	  This setting is usefull in combination with the system tray feature. Any
	  unread news will be set read when minimizing RSSOwl. No need to manually
	  mark them read.
	
	- Well, not a real feature but I removed the "Ask server if newsfeed was
	  modified" feature. The time it took to querry the server for an answer
	  was not acceptable. And the reload action became kind of useless.
	  Once loaded newsfeeds are now again appearing immediately after opening
	  them. To check for new news, simply reload the feed or even better
	  let RSSOwl reload the feed in a certain auto-update interval.
	
	- The Dialog to Create and Edit a favorite was decreased in height by
	  moving the large number of radio buttons for the auto-update interval
	  into a single combo-box and placing two group-composites in one row
	
Internationalization:

	- New language Chinese Traditional (thanks to Jerry Giant)
	
	- New language Finnish (thanks to Samu Reinikainen)
	
	- New language Ukrainian (thanks to Alexandr)
	
	- Completed Spanish translation (thanks to Ruben)
	
	- Completed Russian translation (thanks to Alexandr)
	
	- Completed Dutch translation (thanks to Sven and Frank)
	
	- New language Spanish for RSSOwl's Homepage (thanks to Marcelo B.)	
	
	- Added Finnish, Swedish, Korean, Polish, Chinese (Traditional) and Bulgarian
	  to the support languages of the win32 installer of RSSOwl

Documentation

	- Wrote a step-by-step instruction how to compile RSSOwl (see README in src release)
	
	- Added three missing packages to the API of RSSOwl
	
	- Updated RSSOwl License.txt to version 1.1. Please read and agree it.

Bugfixes:
	
	- Searching in a newsfeed using "$" as part of the search-term crashed RSSOwl
	
	- Sending a NewsTip mail from a news that contained the dollar symbol "$" crashed
	  RSSOwl.
	
	- In some cases RSSOwl was not displaying "No description available" in the newstext
	  area if the displayed newsfeed was not providing a description.
	
	- Quitting RSSOwl did not exit the JVM immediately if Threads where still running
	  that loaded a newsfeed. The JVM will now quit immediately upon exit in any case.
	
	- Mnemonics in the menu and popups where not displayed in the case the language
	  that was set did not contain the ascii alphabet a-z.
	
	- The header above the favorites tree was not set correct, resulting in font
	  bugs in some cases (header was displayed with small font, instead of normal).
	
	- Fixed some memory leaks where created images missed a disposal after usage
	
	- Reloading a newsfeed (either done by the user or automatic by RSSOwl) will
	  no longer clear the viewed newsitem from the newstext panel
	
	- Worked on a very common bug that caused RSSOwl to crash when dealing with the 
	  tabs in the tabfolder. I got various logs about those crashes. Hopefully fixed
	  this ugly bug by completly rewriting the communication of the tabfolder to the
	  other GUI classes inside RSSOwl
	
	- Fixed a bug that crashed RSSOwl in some cases when closing tabs of the tabfolder
	
	- Fixed a critical bug that caused RSSOwl to crash when the window layout was 
	  changed (three / two-column view) and the internal browser activated or
	  deactivated.
	
	- Reloading an aggregated category did not update its contents when previously
	  loaded and cached
	
	- Reloaded newsfeeds are no longer grabbing focus if their tab is opened
	  in the tabfolder.
	
	- A once cached newsfeed was removed and added to the cache again, even
	  if it was loaded from the cache
	
	- The update check showed a new version was available in the case a proxy
	  server blocked the connect to rssowl.org and forwarded to a different
	  webpage (for example, some provider in germany redirect every first
	  request after the connection has been established to their own homepage)
	
	- A lot of settings stored in the user.xml are now no longer written into
	  it, if the user has kept the default settings.
	
	- Grabbing the title from a newsfeed threw a NullPException in the case
	  the newsfeed's document did not provide any title information and was
	  smaller than 25 lines
	
	- A newsfeed with no title set crashed RSSOwl
	
	- Performing "Mark All Read" did in some cases not update the system tray
	  icon to go back to the normal state
	
	- The Auth-Dialog to enter username and password to a protected newsfeed
	  did not provide enough width for very long URLs
	
	- When a Proxy Server was activated, new favorites did not automatically 
	  check "Use proxy". Also, when dragging a tab in the tree to create a new
	  favorite, the favorite did not set the "Use Proxy" flag to true.
	
	- #998011 Dual-monitor problem
		RSSOwl will now remember on which monitor it was maximized and restore that
		state after startup automatically.
	
	- #997911 Use proxy for all favorites setting does not persist 
	
	- #991670 Sun SSL Provider factory not available in all non sun jdk
	  RSSOwl should now run with JDKs other than Sun's JDK.
	
	- #978707 html view of feeds can't display relative url path correctly
	  RSSOwl's internal browser is now using the newsitems link as base URI 
	  to resolve possible relative links from the newstext.
	  
	- #981887 Do not download feed everytime a favorite is opened
	  This is not a bug, but with removing the "Ask Server if feed was modified"
	  feature, users will not think of RSSOwl reloading a feed everytime again
	  
	- #977092 RSSOwl requests feeds multiple times
		Removed two unnecessary URL.openConnection() server requests when loading
	  a newsfeed. This reduces the procedural newsfeed requests to a single one
	  in the best case making feed parsing very fast compared to RSSOwl 0.8b.


Changes in Version 0.8b (Release Date: 2004-06-20)
--------------------------------------------------

Features:
	
	- AmphetaRate is now allowing to register an account having a username and
	  a password. These user data may also be used on AmphetaRate's homepage to
	  login. The preferences dialog was updated. Existing users may pass their
	  User ID to upgrade their account to one with a username and password.
	
	- Great improvements implemented for dialogs:
	
	  Now using "DLUs - Dialog Units" to define the preferred width of a dialog.
	  The advantage of DLUs instead of using pixels is, that the font-size is
	  taken into consideration to calculate the real pixel size from the DLU.
	  Users with small dialog font will see smaller dialogs for example.
	  
	  The height is now calculated dynamically so that all controlls become visible.
	  
	  Some labels in dialogs did not wrap if their content was longer than the available
	  space and the text went out of the dialog.
	  
	  Updated some dialogs to display a top-image, moved error / warning messages
	  to the top and added separators to divide from OK and CANCEL buttons.
	  
	  New "Import OPML" dialog to import favorites from OPML into RSSOwl.
	
	- Mac: All context menus in RSSOwl will now show if the first mouse is clicked while
	  the ctrl key is pressed.
	
	- New button "Skip" added to controls of the status line to skip the current
	  loading newsfeed. This button is only enabled when loading, reloading or
	  searching a category.
	
	- Added new items "Mark All Categories Read" and "Reload All Categories" into
	  the system tray menu.
	
	- Finally there: Offline Archiv implemeneted. Any loaded newsfeed is cached
	  locally. In the case of being offline, or the newsfeed was not modified
	  meanwhile, it will be loaded from the local cache file. Also, when the
	  newsfeed was updated, the old cache file gets updated. 
	  To avoid a very big cache folder, all newsfeeds that have not been visited
	  for 2 days are getting removed from the cache.
	
	- Great new machanism implemented for the Owl to automatically decide if a
	  newsfeed should get loaded from the URL or retrieved from the cache (if
	  the newsfeed was loaded before it becomes cached to load it faster next
	  time): 
	  Therefor the server of the newsfeed is asked if the newsfeed was
	  modified meanwhile (yes this is possible :o) ). If the feed was modified
	  it is loaded from the server and if not retrieved from the cache.
	  
	  This great feature will also work when aggregating entire categories. For
	  each favorite of the loaded category the feed is only loaded if modified
	  meanwhile.
	  
	  Therefor removed "Re-Load news from URL source" option from settings.
	  
	- Improved RSSOwl's recognition of unread / read news by not only taking
	  newstitle and newsurl, but also the news publish date into consideration
	  when deciding if a news was read or not.
	
	- The link beyond the newstitle in the "Newstext" pane is now showing an underline
	  on Mac, Linux and Solaris
	
	- Changed the toolbar that is located right to the header "Favorites":
			o Removed "New", "Delete selected" and Collapse / Expand tree
			o Added "Mark All Categories Read" to mark all favorites in RSSOwl read
			o Added "Aggregate All Categories" to view all favorites in one tab
			o Added "Reload All Categories" to reload all favorites in RSSOwl
			o Added "Search In All Categories" to search in all favorites
		
		Also updated the look with providing bigger icons that are easier to read
	
	- Image in about dialog is now mouse-sensitive to open rssowl.org on click
	
	- The parser will now set first 80 chars of description as title if the title
	  tag is not given in the newsfeed XML document.
	
	- New item added to the context menu on Categorys and Subscription Folders:
	  "Mark Category Read" will mark all favorites of the category and subcategories
	  read. In addition, any favorites that are displayed in the tabfolder will
	  update to mark all news read.
	
	- New dialog to Create / Edit and View favorites. The dialog looks very similiar to the
	  preferences dialog. A tree on the left has two items "Preferences" and "Information"
	  and changes its contents on the right when selecting one of it:
	  
	  In category "Information" you will see same contents as it was when selecting "Properties"
	  on a favorite. It's now more space to display the description in a multiline textarea.
	  
	  When selecting "Preferences" from the tree, the user is able to set URL, Title, Category,
	  auto-update interval and some other settings at once. Those items are no longer placed
	  into the context-menu of the favorite, making it smaller and therefore easier to handle. 
	  Also replaced the drop-down to select a category with a small dialog that displays all
	  categories in a tree to select one from it. 
	
	- The dialog to select a browser / blogger executable will now automatically browser into
	  the directory of the given executable, if one is already set
	
	- Date and Time are now displayed in the correct format for the selected language. For example,
	  the "Publish Date" column in newsfeeds always showed the german date and time format.
	
	- In the case no channel infos are available for a newsfeed, no arrow will be displayed
	  next to the newsfeed title. 
	
	- Whenever favorits with unread news are available, RSSOwl will change its System
		Tray icon to show the user (if the system tray icon is activated). The teasing
		trayicon is the owl with a big green arrow pointing from top to bottom
	
	- News are now sorted on publish date per default if that information is available.
	  In the case pubDate is not given, the feed is sorted by unread / read news.
	
	- Updated few icons and splashscreen / aboutbanner
	
	- New critical error feedback mechanism:
	 	Whenever a critical exception occurs that causes RSSOwl to crash a dialog
	  will ask the user to send an error report. If he decides to send it, the
	  mail application will open with some informations preset. 
	  The user is asked to attach the rssowllog.xml to that mail. The path 
	  to the logfile is shown in the body text.
	
	- It is now possible to set wether RSSOwl should display errors that occured
	  while loading a newsfeed in a tab of the tabfolder. Per default this option
	  is set to true. Change this option in "View".
	
	- Enhanced System Tray settings for RSSOwl in "View": It is now possible to
	  let RSSOwl move to tray on startup and / or on exit automatically.
	
	- Updated to latest SWT version 3.0 Release Candidate 3

	- Updated sample favorites (now counting 111) and categories
	
	- Eagerly awaited, and now finally available: Drag and Drop support implemented
	  to the tree holding favorites to move favorites, categories and subscriptions
	  from one category into another.  
	  Also added drag and drop to the tabfolder. This allows you to drag a tab that
	  displays a newsfeed into the favorites tree to create a new favorite with the
	  URL and Title of the dragged newsfeed.
	  
	- New option "Display newsfeeds in tabs" in "View" preferences to set wether
	  RSSOwl should use tabs to display newsfeeds (or other content, for example
	  a browser window). This option is set to TRUE using default settings.
	
	- It is now possible to specify arguments to the external browser that RSSOwl
	  should use. Use the [URL] wildcard to place the URL anywhere within the
	  argument-statement. This for example allows to let Mozilla open a new tab
	  for a link if a session is running (argument: -remote (openURL [URL], new-tab)).
	  Note: If the arguments are left blank, RSSOwl will per default simply append
	  the URL to the end of the executable with a leading space.

	- Some cleanups in the preferences dialog
	
	- New option "Set focus on new tabs" in "View" preferences to set wether
	  new tabs that open in the tabfolder should gain focus automatically or
	  not (true by default). Nevertheless, when this option is set to false 
	  but only one tab is visible in the tabfolder it will gain focus. 
	  First tab items always get focussed in the tabfolder.
	
	- New "Validate Newsfeed" dialog implemented (located in "Tools"). Enter
	  the URL to a newsfeed or select a local file to have it validated against
	  most common formats (0.91, 0.92, 2.0) or any DTD that is set in the document
	  (simply use "Override Doctype Declaration" to override the DTD if existing). 
	  Its also possible to let RSSOwl automatically detect the format. 
	  Errors and Warnings are displayed in a table with a detailed description and 
	  the line number of the problem.
	  This feature is experimental and will most likely be updated upon user feedback 
	  in future versions. 
	
	- Moved "Import From OPML" and "Export To OPML" into the "File" Menu. 
	  The export and import of settings moved into the Preferences dialog
	
	- Extended OPML export with adding "owerName" and "type" as attributes to the outline 

Internationalization:

	- New language Bengali (thanks to Omi Azad)
	
	- New language Korean (thanks to Geon Goo)
	
	- New language Polish (thanks to Ryszard Sierotnik)
	
	- New language Swedish (thanks to Patrik Johansson)
	
	- Fixed some malformed translations

Bugfixes:
	
	- Trying to print newstext crashed RSSOwl
	
	- Replaced a lot of "catch (Exception e...)" with more detailed catch blocks to avoid
	  catching Error and RuntimeExceptions
	
	- Inspired by #975211 (Custom browser won't execute until RSSOwl is closed) Input-
	  and ErrorStreams returned from calls to Runtime.exec() are now handled and written
	  into the logfile. 
	
	- Importing OPML files with a byte order mark (BOM) failed. RSSOwl will now ignore
	  the BOM and allow to import OPML files that use it.
	
	- Procedure used to style-highlight parts of a text was not very performant
	
	- When sorting by status, newsfeeds with same status where not sorted at all. They will
	  now get sorted by title.
	
	- RSSOwl's sourcecode is now 100% platform independant and only limited by the supported
	  platforms of SWT. 
	
	- Font changes did not update widgets properly on Linux / Solaris / Mac
	
	- Critical errors were given out to the console and not only into logfile
	
	- About dialog title showed "RSSOwl" twice
	
	- When aggregating categories the "Re-Load newsfeeds from source" setting was not
	  took into consideration
	
	- The archive to remember read news was not recognizing news that used
	  the Guid as link
	
	- Some languages missed localized long dateformats for the statusline
	
	- Input textarea for NewsTip body format did not wrap lines
	
	- The dialogs "Search Newsfeeds" and "Properties of favorite" will now close on
	  ESC key pressed and show as internal window of the main window. When minimizing
	  those wont create a new entry in the taskbar, but move to bottom-left
	
	- Some colors where not disposed on application exit
	
	- When right-clicking on a news in the newsheader table, the news was displayed as
	  if selected with a left-click. Now, news will only be displayed and marked read
	  when left-clicking on a news. This finally allows to work with that context menu
	  when "Open each newsfeed in browser" or "Open each empty newsfeed in browser"
	  is activated.
	
	- Moving favorites from one category to another erased all settings such as
	  "Open on startup" and the auto-update intervall. The settings are now kept
	  after moving the favorite
	
	- First tab in the tabfolder had curved top-left corner which looked ugly
	
	- If the guid element was given in a newsitem and the link empty, it was displayed
	  as link in the news area. This is now restricted to only display the guid as link
	  if it is a valid URL.
	  
	- Rating a newsitem with AmphetaRate, the guid was used as link if the link element
	  was empty. This is now restricted to only use the guid as link if it is a valid URL
	
	- Linux: Critical gtkselection.c bug fixed on empty text-selection
	
	- Selecting "Minimize RSSOwl" when "Minimize to Tray" is not checked (or not
	  available on the OS) will now simply minimize the window instead of hiding
	  it and displaying a small floating Owl-Icon. That icon was not positioned
	  correctly on OS other than windows. Also the support for Tray-Icon will
	  soon be extended to Mac OS X, thus making the floating Owl-Icon superfluos.
	
	- Performing "Minimize RSSOwl" made RSSOwl crash if the "Minimize to Tray" option
	  was not checked.
	
	- If a proxy was set in RSSOwl, it was not used when loading newsfeeds which where
	  not saved as favorites 
	
	- Error tabs were not selected correctly in the tabfolder on erroneus automatic updates
	
	- RSSOwl crashed when reloading a newsfeed that is no longer accessable, for
	  example reloading an online feed after going offline
	
	- The logger file "rssowllog.xml" was emptied every time RSSOwl started. Changed
	  output to simple format (no XML anymore) into new file "rssowllog.log". This
	  file gets filled until it reaches 100kb. After that size the file is emptied
	  and again gets filled from the beginning. 
	  The format of log_critical logfiles was also changed to simple format.
	
	- Changing fonts did not update all GUI components. The result was for example
	  very big fonts being cut off when overlapping out of controlls
	
	- RSSOwl crashed when the internal browser was calling the JavaScript close()
	  method. Now, the tab displaying that page will close on this event
	
	- AmphetaRate rating submission failed when rating a newsitem that contained
	  a GUID as element, which had whitespaces (new-line char) around
	  
	- No Font was set on the status line components. Applied the "Dialog" font.
	
	- When aggregating an entire category, the "Newsfeed" column displayed the title of
	  the newsfeed rather then displaying the title from the connected favorite
	  
	- Made RSSOwl more robust to exceptions that may occur when closing RSSOwl
	  while a thread is working in the background and updating the UI
	  
	- Changed wrong outline attribute "title" to "text" in exported OPML files
	
	- Fonts loaded from the user.xml are now using selected locale
	
	- Linux: Selecting "Close" from popup on empty tabfolder caused crash
	
	- Linux: Context menu on tabs closed directly after opening
	
	- Win32: Autostart entry was not removed upon deinstallation
	
	- #952539 Does not remember read newsheaders b/w invokations
	
	- #958514 When clicking on a column the layout defaults. 
	  Newsheader table is now remembering the column-sizes set by the user 
	  after sorting by a column
	  
	- #961148 "Open Selected News in Browser Automatically" crashes 0.73b


Changes in Version 0.73b (Release Date: 2004-05-09)
---------------------------------------------------

Features:

	- Updated SWT to latest version 3.050
	
		o The browser widget is now supported under Mac OS 10.3 using Safari.
		  This allows usage of the internal browser and all of its features
		  inside RSSOwl (for example: render text of selected news as HTML)
		
		o The browser context-menu is now available again on Win32
		
		o The tabfolder gave available space to new tabs not correctly but 
		  removed one tab and made it available in the popup to right
		  
		o In the particular case of enabling - disabling and enabling the
		  "Minimize to system tray" in one shot, a second tray icon showed
		  up with no icon set to it and no menu
		  
		o Internal browser grabbed focus to RSSOwl, even if RSSOwl was minimized
		  
	- It is now possible to import newsfeeds from OPML into RSSOwl, even if the
	  tree is empty. This avoids having to create a dummy category, to import
	  the newsfeeds into RSSOwl.
	
	- New MenuItem "Mark All Read" to mark all news of the displayed newsfeed read
	  (it is possible to apply a shortcut key on this common action).
	
	- Password field in proxy settings will now echo a '*' char to hide it
	
	- Per default each loaded newsfeed will now be sorted on unread / read status.
	  The unread news are always displayed on top of all read news. This makes
	  RSSOwl independant from some newsfeed-providers that kept generating XML
	  documents with latest news anywhere placed in the document, but not sorted
	  on top.
	
	- #902048 RSS favorites shows summary of items read/unread
	  Whenever RSSOwl is loading a favorite newsfeed with unread news available, 
	  or when the user marks a news unread manually, the icon in the tree
	  storing the favorite will change, indicating unread news are available.
	  The two treeitem icons for unread and read are easily kept apart to allow
	  a quick view on favorites with unread news.
	  
	  In addition to the changing icon of the favorite, all parent categories
	  will also update their icon indicating that they hold a favorite with 
	  unread news. This will help you detect favorites with unread news, even 
	  if they are nested very deep in a lot of sub-categories.
	
	- It is now possible to add a favorite, even if title or url are still
	  existing in RSSOwl. To keep uniqueness, RSSOwl is automatically 
	  adding a number in braces to a duplicate title, and a "#number" to 
	  the end of a duplicate link (this should still allow to open the link,
	  because the rhombus declares a local anchor which is ignored if not
	  existing).
	  This also effects the import of favorites via OPML or Subscriptions.
	
	- Confirm dialogs to delete favorite / category changed from "Yes / No"
	  to "Ok / Cancel" because on windows, the dialog was not closable using
	  the red cross top-right to the window.
	
	- Enabled the menuitem "Add to favorites" (Newsheader) on tabs that show 
	  an error which occured while loading a newsfeed. 
	
	- The search for newsfeeds ("Tools" > "Search for Newsfeeds") will now
	  also return Atom (Syndication Format) Newsfeeds, together with RSS
	  and RDF feeds.
	
	- New status line added at the bottom of RSSOwl. The line is containing
	  a progress-bar, cancel button, status text and the current date on
	  the right-end. The status-line replaces the "Loading XML..." progress
	  dialog that appeared after loading / reloading or searching a newsfeed.
	  The status text will display more information than shown in the dialog
	  before. The URL or Title will be displayed in addition to the size
	  of the feed (if available). These informations are also shown when
	  aggregating an entire category.
	  Also, the user is now being informed on any auto-reload action performed
	  by RSSOwl.
	
	- Added Homepage information to the "Properties" view of a favorite.
	  The information-fields are now colored gray, instead of white, 
	  to make clear that they are not editable
	
	- Extended Atom format support. Content type "application/xhtml+xml" 
	  or "xml" mode is now displayed as description if given in the content
	  tag

Bugfixes: 
	
	- Favorites did not update their meta infos (shown in Properties) on reload
	
	- In any case of a malformed AmphetaRate rating, the rating is removed
	  from the submission queue. But in any case of a problem reaching the
	  rating-server, the rating is kept and resend after 15 minutes. In 
	  earlier versions, the rating was continiously tried resent, even in
	  the case of a malformed URL.
	
	- Moving a favorite to a different category called buildUrlTree() twice
	
	- RSSOwl did not open Welcome and License Tab while a feed was loading 
	
	- Fixed a major bug that caused the auto update feature not to work when
	  running RSSOwl on a medium/fast performing computer. The method that
	  was used to create a unique next update interval returned same values
	  for different favorites because it was using the System.currentTime()
	  method. That method was called several times very fast in a row on
	  startup and returned same values in most cases.
	  
	- RSSOwl was not using it's encoding (set by the user, UTF-8 by default) 
	  when formatting a NewsTip mail or calling "Tell my friends" from the menu
	  
	- RSSOwl crashed when deleting a favorite while aggregating the category
	  the deleted favorite was stored in
	  
	- RSS Queue-Loader Thread was not terminating if active on startup
	  and on closing RSSOwl while the queue-loader was working
	  
	- Removed duplicate readAndDispatch event loop in RSSOwlLoader
	
	- Proxy configuration was not used in a lot of methods (for example: Grab title
	  from newsfeed, channel-image in the channelinfo box)
	  
	- Simple HTML tags were not stripped from description in non-browser view
	
	- RSSOwlI18n.getTranslation() returned translations inefficiently	
	
	- Now checking first for channel-image holder not being disposed before
	  loading the image into it
	  
	- Image leak on "close" button in channelinfo fixed
	
	- #947317 Configure Java_HOME as command line param to .exe
	  The rssowl.exe is now accepting the optional parameter "-vm=..." to point
	  to a specific JVM. Example: "rssowl -vm=C:/j2sdk_1_4_1" will make the exe
	  look for "C:/j2sdk_1_4_1/bin/javaw.exe" and if found use that as JVM, even
	  if JAVA_HOME is set.
	  
	- #942844 OPML import seems to read the wrong attribut
	  RSSOwl did not import the titles of outline-elements if they were
	  set as text-attribute
	  
	- #942842 Get title from feed doesn't respect proxy auth settings
	
	- #942471 Fail to load RSS feeds with ommited xml declaration 
	  RSSOwl had problems displaying newsfeeds which used a BOM (byte order mark)
	  in their XML to tell which encoding they use. A BOM for UTF-8 is three bytes
	  long and placed as first data in the XML (before the XML declaration or
	  root element begins). 
	  
	- #936258 Newstext viewform flicker 
	
	- #941551 Titles read from feed don't convert xml entities
	  The title is now parsed using JDom XML parser which resolves 
	  any ISO Latin-1, Mathematical, Greek and Symbolic entities.
	  This bug occured when using "Get title from feed" in the
	  "Add new favorite" dialog.
	  
	- #936322 RSS feedsearch should use proxy configuration
	
	- #932807 RSSOwl can't read an Atom 0.3 feed
	  RSSOwl is now passing the "User-Agent" header attribute to each
	  URL connection (value = "RSSOwl/Version"). Some server block
	  connections, if the "User-Agent" is not given
	  
Major Code Cleanup and Refactor:

	- Refactored a lot of methods and removed some duplicate code-blocks
	- Created new class RSSOwlEventManager to unify duplicated code from
	  equal actions that were triggered from different classes
	- Created new classes RSSOwlXMLShop and RSSOwlRegExShop to provide
	  some methods dealing with XML/HTML and regular expressions in RSSOwl
	- Created new class RSSOwlProxyShop to handle proxy usage in RSSOwl
	- Splitted RSSOwlXMLImportExport into RSSOwlSettingsFactory to manage 
	  import / export of settings and RSSOwlExport / RSSOwlImport to manage
	  import and exports of categories and favorites.
	- Removed a lot of unnecessary static references
	- Fixed all calls to deprecated methods
	- Removed a big number of unused setter and getter methods
	- Removed / United some of the favorites settings to reduce size of the 
	  user.xml that stores them
	- Moved the popup that is set on the favorite's tree into the new package
	  net.sourceforge.rssowl.controller.popup and split the huge RSSOwlPopup
	  class into several smaller ones.
	- Removed unneccessary calls to buildUrlTree() when deleting fav. / subscription
	- Removed 17 not used externalized Strings (times 15 languages = 255 removed lines)


Changes in Version 0.72b (Release Date: 2004-04-10)
---------------------------------------------------

	- Using "Add to favorites", the title of the newsfeed is now preset in the
	  title-inputfield of the "New Favorite"-Dialog
	
	- Updated newsheader tabfolder:
		
		o Tabs now close by double-click on the tab title.
		  Double-click with pressed Ctrl / Command Key: Perform "Close Others"
		  Double-click with pressed Shift Key: Perform "Close All Except Feeds"
		
		o New drop down as small button on the tabfolder to quick-navigate to
		  tabs that are hidden. All hidden tabs are listed in a dropdown with title
		  and icon.
		  Tabs become hidden when the maximal width of all opened tab is bigger than 
		  the width of the tabfolder
		  
		o TabFolder will now display more tabs before the quick-navigate control
		  will appear (using default min-tab-width)
		  
	- The image in the channel-info box is now clickable and will open the
	  link that is set to it if provided.
	  
	- Links selected from the browser-view in the Newstext will now open in the
	  tabfolder. If the user has set to use an external browser, the link will
	  open external.
	
	- Links having "target=_blank" where unusable in the internal browser.
	  Now, when selecting such a link, a new tab will open to show the
	  contents. This also affects links selected from the newstext, when
	  the browser view is activated. 
	  A negative side-effect is popups: Those are not blocked and will
	  unfortunately also appear as new tabs. I think that is passably 
	  compared to not being able to open _blank links (and sometimes
	  wanted popups).
	
	- The user may now choose a new tab-layout in "View" at preferences:
	  "Curved Tabs" will use a curved separator between the active tab and
	  its right neighbour. "Traiditional Tabs" is the old, default setting
	  with a vertical line as separator.
	
	- When the user has set to Auto reload favorites on startup, RSSOwl will now
	  display a "Please wait... Refreshing" progress dialog to inform the user
	  about the loading. This also allows to cancel this auto reload.
	
	- RSSOwl is now using SWT's System Tray support. This allows minimizing RSSOwl
	  to the tray on Windows and Linux. Eclipse already plans to support Mac in the
	  future.
	
	- Updated SWT library to latest version 3.0 Milestone 8
	
	- Tabs displaying errors are now reloadable (from the context-menu or with Ctrl+R)
	
	- All tabs that display the internal browser are now using the
	  title of the opened webpage as title for the tab.
	
	- Added new column to the table holding the newsheaders: Unread / Read
	  status of the news displayed by two different icons. The column is
	  sortable too.

Bugfixes:

	- RSSOwl's default user settings contained some settings from my
	  system: German as language, Windows default font and Windows
	  default Hotkeys (which are not likely to be used on Mac)
	  
	- Internal browser made RSSOwl crash if the URL was pointing to a
	  local, not existing file and began with a path (e.g. "C:/foo.bar")
	  
	- Selecting Exit from the Tray Menu called an ugly System.exit()
	
	- #930295 RSSOwllog.xml overwritten on each start-up	
	- #929699 Crash when clicking back in the favorite's tree column
	- #924454 Progress dialog not showing on Mac	
	- #925289 Crash and problem in 0.71b	
	- #925583 ArrayooBException in OWL
	- #925383 Per-favorite "Use proxy" setting was not recognized by RSSOwl
	

Changes in Version 0.71b (Release Date: 2004-03-27)
---------------------------------------------------
	
	- Added a context-menu to input-fields that are capable of holding
	  wildcards (for example [TITLE] in "Format NewsTip Mail", or the
	  search operators in the search dialog: AND, OR and NOT). The
	  possible wildcards are elements of the menu and a click will
	  insert the wildcard into the field.
	
	- Newstip Subject in Preferences > Format NewsTip Mail may now
	  hold [TITLE], [LINK] and [DESCRIPTION] as wildcards for the
	  news information.
	
	- RSSOwl is now deployed for Solaris 8 (SPARC/Motif)
	
	- RSSOwl is now supporting the Atom Syndication Format 0.3. 
	  The parser recognizes most common tags used in atom feeds. 
	  The specification was used from here: 
	  http://www.mnot.net/drafts/draft-nottingham-atom-format-02.html
	
	- Compiled RSSOwl with newest J2SDK 1.4.2_04 (was 1.4.2_01 before)
	
	- Improved initial location of Newsfeed search dialog and Properties dialog 
	
	- Updated the display of channel info. Reduced some margins and removed the
	  internal group that showed when opening the channel info. Altogether this
	  freed some room that got filled up by the table holding the newsheader.
	
	- Moved display of newstitle and newslink into a grayed box to seperate them
	  from the newstext. This made the height that title and link require smaller,
	  because the separator was removed.
	
	- RSSOwl is now partially supporting the "content" module (content:encoded)
	  of RDF newsfeeds
	
	- Win32 installer: Added rssowl.lnk to quicklaunch bar
	
	- Added mnemonics to all popup-menus in RSSOwl so that items from them
	  are accessable using the keyboard
	
	- Added a new popup-menu to the TabItems in the tabfolder. Possible actions are:
	  	o Close
	  	o Close Others
	  	o Close All Except Feeds (will keep those tabs open that display a newsfeed)
	  	o Close All
	
	- It is now possible to let RSSOwl open feeds automatically on startup.
	  Two options are available:
	  
	  	o Right-Click on a favorite in the Tree and select "Open on startup".
	  	
	  	o Select "Re-Open last opened feeds on startup" from Workbench settings.
	  	  This will automatically reopen the feeds that where opened when you
	  	  quit RSSOwl.
	  	  
	  Of course both options may be used in combination.
	
	- Updated Systray4J to version 2.4:
	  
	  o Support for unicode in tray allows to display languages like greek
	    and russian in the tray-menu.
	  
	  o RSSOwl is now checking on startup if Systray4J is available, and
	    shows the setting to place RSSOwl to tray only if it is available.
	    Availability is checked by:
	    win32: Attempt to load native library
	    
	  o Disabled tray support for Linux due to critical errors

	- Improved performance on the tree holding RSS favorites: The Tree is
	  no longer updating all of its TreeItems after loading of a favorite
	  (this was done before to set / unset the Error lense, if the loading
	  produced an error). An change of the icon is now done with only
	  updating the belonging TreeItem of the favorite. 
	
	- RSSOwl is now remembering which news the user has read even after 
	  closing the application. This is done by creating a small archive
	  in the user.home directory (".rssowl/archive"). Each title and
	  link of a read news is saved into a XML file that is connected
	  to its feed URL through the "index.xml". For each feed a XML file
	  is created. 
	  To keep the size of the files as small as possible, RSSOwl automatically
	  cleans them up (removes entries which are no longer part of the feed's
	  news, deletes files which are not indexed through the "index.xml").
	
	- The application dir of RSSOwl may now be readonly. Temporary data that
	  is needed for some features is now stored into the user.home directory
	  (same directory in where user settings are saved). This also allows the 
	  user to run RSSOwl from CD-Rom.
	
	- Any feeds opened in RSSOwl that are not saved as favorite now display the
	  title of the feed as Text in the Tab-Title. This avoids very big tabs that 
	  display a long link as Tab-Title.
	
	- Cleaned up the Property Dialog: Removed "Misc." properties and added
	  the contents to new Property Pages "Colors" and "Workbench". Workbench
	  is a parent-page with "Colors", "Fonts", "Hotkeys", "Language" and
	  "View" as childs.
	  Not only the header color, but also Link- and Syntaxhighlight-Color
	  are now changeable in the property-page "Colors".
	
	- Added new item "Blog News" to the menu on the Newsheader table.
	  This action executes an external blogger that has to be set
	  in the new property page "Blogger". There the user may use the
	  wildcard "[LINK]" to pass the newslink as argument to the blogger.
	
	- New Option in Preferences > Workbench to choose between Single-Click
	  and Double-Click open mode: Selecting Single-Click will open
	  favorites and categories from the favorite tree with only one
	  mouse-click instead of a double-click.
	
	- Changed translation of "Alt"-key to "Opt" on Mac.
	
	- It is now possible to save aggregated categories as RSS XML. RSSOwl
	  creates a simple RSS 0.91 file from the news. Just press "Ctrl+S"
	  when the aggregated category is selected in the tabfolder.
	
	- New chooseable window-layout implemented: The user may now choose
	  between a two- or a three-column window layout (See Preferences >
	  View). A three-column window layout is usefull if RSSOwl is viewd
	  on a widescreen.
	
	- New property page "View" for view-releated settings in RSSOwl. Moved
	  two of the items from the "View" menu in here.
	
	- RSSOwl is now supporting Multi-User usage. User settings and logs are
	  saved into the user.home directory in ".rssowl". This allows the usage
	  of RSSOwl with different Users on the same computer.
	
	- Added "Open extern" to the popup-menu located on links from news and 
	  newsfeed to open the URL in the external browser. This option is hidden
	  while the internal browser is not supported, or the user has chosen 
	  to open any links in an external browser.
	
	- Any links found in the text of a news are now painted blue to
	  find them easier and to have a consistent style of links in 
	  RSSOwl (does not effect the newstext view when using Internal
	  Browser!).
	
	- When a title is grabbed from a feed in the "New favorite" dialog,
	  known Entitys get decoded automatically
	
	- Added "Reload" button to internal browser controls
	
	- Removed menu icons when RSSOwl is running on Mac
	
	- Added Norwegian to win32 installer language

Internationalization:

	- Chinese Simplified
	- Japanese
	- Finished missing translations in Dutch
	- Fixed and updated a lot of translated wordings (thanks to RSSOwl's translators)

Bugfixes:
	
	- Restoring minimized RSSOwl window from the tray maximized the window,
	  even if it was not maximized before
	
	- RSSOwl crashed when searching for the term " OR ".
	
	- Description in channel info is now wrapping lines if text is too long to 
	  display in a single line.
	
	- Linux: Fixed a Gtk-CRITICAL error (gtkaccelgroup.c) that appeared in
	  the console in some cases. Original text:
	  "Gtk-CRITICAL **: file gtkaccelgroup.c: line 497 (gtk_accel_group_connect): 
	  assertion `accel_key > 0' failed"  
	
	- The Auto Update Thread only looked every 30 seconds for favorites to
	  update. Changed to 5 seconds so that two favorites that have the
	  same update time get updated within 5 seconds instead of 30.
	
	- Group widgets did not change font when a different dialog text font was
      selected
	
	- Title and URL in the newstext view are now wrapping, if too long to display.
	
	- #915624 'n' and 'f' keys don't work:
	  	
	  It was not possible to write characters that are used as Accelerators 
	  (for example 'F' for 'Next News') into the internal browser URL input field
	  or HTML input fields. Only implemented a workaround for this bug, because
	  it is not possible to listen for the user adding focus to a HTML input
	  field and to remove the accelerators in this moment (and restore them
	  after focus lost). 
	  
	  To make a long story short : Hotkeys for next news and next unread news are 
	  removed while the user is working in a Tab that displays the internal browser.
	
	- Dublin Core item "dc:subject" was not parsed and is now interpreted as category
	
	- The popupmenu on link and title of the newstext were not translated on 
	  a language change.
	
	- RSSOwl could not parse any newsfeeds that used a namespace with no prefix. 
	  Those namespaces are now handled as default namespace in the XML parser. 

	- Using the NewsTip feature of RSSOwl on a news that had no description did
	  not remove the [DESCRIPTION] wildcard from the text. It is now removed,
	  if a description is not given.
	
	- Missed "file:///" in the href of the tutorial when loading it
	
	- Calling the external browser, RSSOwl did not add double quotes to the href
	  if it contained spaces. This for example could caused problems opening the
	  tutorial on Windows with Mozilla as external browser.
	
	- Linux: The 'run.sh' missed a single "/" and got Windows line delimters (LFCR). 
	  This resulted in "No such interpreter" error. Converted to Unix format (LF).

	- RSSOwl's XML parser could not parse XML documents with entities (e.g "&uuml;").
	  Added a DTD to the project that holds most common entities. The parser
	  will use that DTD as default (any other DTD in the document is ignored for
	  performance reasons).

	- Additional informations of news (for example author, publish date) where not
	  displayed if viewed in an aggregated category. 

	- Any non-ASCII characters displayed in the Newstext Panel when using the internal 
	  browser where unreadable. All non-ASCII chars of the newstext are now converted
	  to unicode-entities (for example &#x268F;) before displaying them in the browser.
	
	- The displayed order of newsheaders in aggregated categories differed from the 
	  normal view of the favorites. That is because the news from aggregated categories 
	  where not displayed sorted as saved in the feed's XML document.
	
	- Fixed Nullpointer-Exception if a favorite was removed while RSSOwl aggregated
	  the category this favorite was part of
	
	- Dialog buttons in Preferences-Dialog did not translate when language changed
	
	- Pressing the "Delete" key on any empty favorite tree caused RSSOwl to crash
	
	- Mac: Command-Key was accepted as valid hotkey, even if no other Key was
	  added to create a key-sequence
	
	- Mac: Removed unnecessary hotkey-text from the MenuItems, because the Mac OS
	  Menu-Manager displays the hotkey that is set next to the MenuItem automatically.
	
	- 'Minimize RSSOwl' (Ctrl+Shift+X): Small icon was not displayed on top
	  of all components, and lost focus if another application was selected.
	  In Task-Manager the icon of RSSOwl and the title was not displayed.
	  On Mac, the minimized window lost focus immediately and was lost. 
	
	- Internal Splashscreen that showed the progress while loading feeds was
	  not displayed on Mac. Removed "ON_TOP"-behaviour and added the splash
	  into its own window.
	
	- Ratings on news from an aggregated category sent the wrong XML URL to
	  the AmphetaRate server.
	
	- Some links from the text lost their mouse-sensitivity, when surrounded
	  by quotes. These links are now clickable again to open them in browser.
	
	- The "Grab title from newsfeed" button in the "New favorite" dialog did
	  not use the encoding from the given feed to retrieve the title. This
	  could result in wrong displayed special-chars.
	
	- Changed some translations that had dynamic content and were
	  shown with wrong grammar in some languages
	
	- Search-Patterns using the regular expression search with an invalid pattern
	  caused RSSOwl to crash (e.g. searching for "[" in a RegEx search). RSSOwl
	  is now displaying the error message from the Pattern-Compiler if the String
	  is an invalid Pattern (English only, not localized). 
	
	- Search-Patterns containing RegEx special chars (e.g. +, ?, *, C++) returned
	  wrong results. Common RegEx special chars are now escaped before the
	  search is performed.
	
	- Search-Patterns containing a "&" char caused the result-label to underline
	  the next char without displaying "&" (mnemonic behaviour).
	
	- Mac: Most default hotkeys on Mac used "Ctrl". Changed to "Cmd" key. Also
	  added Command key to hotkeys that had only one key (for example "Next unread
	  news" is now "Cmd+N").
	
	- Status text in internal browser did not grab the whole horizontal space
	
	- Changed flags for English and Portuguese (Brazil) in preferences dialog

	- The import of user settings did not work because the user.xml in the
	  user's home directory was not udpated.
	  
	- The user settings were not saved to the user's home directory if the
	  application directory was not writeable.


Changes in Version 0.7b (Release Date: 2004-02-14)
--------------------------------------------------

	- The "user.xml" holding all settings and favorites of RSSOwl is now also saved
	  in the "user.home" directory with the name ".rssowl.xml". This makes it easier
	  to use the settings for future versions with no need to import the settings
	  each time.
	
	- Added a large tutorial to RSSOwl. Special thanks to Garry Forbes for writing it.
	  The tutorial is kept in HTML and the easiest way to have a look into is to select
	  "Tutorial" from the "Help" Menu.
	  Contents: About RSSOwl, Quick Start, Elements, How-To's, Tips & Tricks, Resources
		
	- RSSOwl now chooses the correct text-encoding for any newsfeed automatically.
	  First RSSOwl tries to grab the encoding from the XML declaration in the first
	  line. If that fails, UTF8 is chosen.
	  The option to set a text-encoding remains, to use it for File-Exports and
	  the user.xml with all settings.
		
	- Mac: New application icon that fits into the dock (128x128)
	
	- Windows: Removed the "run.bat" file with "rssowl.exe" that will execute
	  RSSOwl with searching the JVM not only in the JAVA_HOME environment var
	  but also in the registry.
	  The command window is thereby not popping up anymore.
	
	- Windows: The Windows release of RSSOwl is now deployed with an Installer
	  (together with the old "bin"-release that is just the zipped files).
	  The installer is multi-lingual (supporting all languages that RSSOwl supports),
	  installs all files to a folder of the users choice, creates startmenu entrys,
	  starts the application and shows the tutorial.
	  An uninstaller is created automatically, to remove RSSOwl.
	
	- Linux: Since SWT version 3037 Mozilla 1.4 and higher may be used as internal
	  browser for RSSOwl
	
	- Navigation "Back" and "Forward" used in the tab displaying the internal browser
	  is now getting enabled / disabled in dependance wether its possible to navigate
	  back or forward in history of the browser
	
	- Updated the FAQ: Added new questions and changed some existing descriptions, that
	  had errors or were not easy to understand
	
	- RSSOwl is now accepting one argument. Whenever the user executes the application
	  passing the path or URL of an existing file to the JAR, RSSOwl trys to open it as
	  newsfeed. This allows the automatic display of the users favorite feed on startup.
	
	  For example:
	  "java -jar rssowl.jar myFeed.xml", "java -jar rssowl.jar http://www.myrss.com/myFeed.xml"
	
	- Added a default popup menu to the tree holding the favorites, that appears
	  when the tree is not holding any elements. The default popup allows to
	  create a new category or subscription.
	
	- The color for the headers in RSSOwl is now changeable in Preferences > Misc.
	  for the ones that have problems with the light-blue ;)
	
	- New MenuItems added to the "Help" menu: "Homepage", "Mailing list" and
	  "Tell your friends". Last one opens the default mail client to send
	  a mail that tells others some features of RSSOwl and the download link.
	
	- New Menu "Newsheader" added to the Top-Menu. Holds some of the items,
	  that appear in the popup menu on the newsheader table.
	
	- Reordered some items of the popup menu in the tree holding the favorites
	
	- Implemented font areas to set different fonts on different areas:
	
		o Text Font:	Used by newstext, channel information, warnings, errors
		o Dialog Font: 	Used by all dialogs
		o Tree Font:	Used by the tree holding the favorites
		o Table Font: 	Used by table displaying the news
		o Header Font: 	Used by section headers
	
	  Each font is changeable in the propertys dialog. Settings are saved and loaded.
	
	- New MenuItem "Mail NewsTip to a friend" in the popupmenu of a selected newsfeed
	  in the TabFolder. Opens the default mail-client associated to "mailto:" protocol
	  and fills the subject and body with user defined text. The format of the mail
	  is changeable in the Settings-Dialog. Wildcards "[TITLE]", "[LINK]" and
	  "[DESCRIPTION]" may be used to place the newsinformations in the mail within
	  the body. The wildcards are being replaced with the informations of the selected
	  news.
	
	- New Preference-Dialog to modify all settings of RSSOwl. Improved usability with
	  removing the preference settings from the Menu and putting them into the dialog.
	  The dialog holds a selectable tree with some categorys. A select on a category
	  will open a view of the settings of the category on the right side.
	  The user may modify the settings, save them, or restore the defaults.
	
	- FontDialog to select a font for RSSOwl no preselects the used font in the Dialog
	
	- Removed the annoying error message, when the user has selected to be informed
	  whenever a new version of RSSOwl is available, but has not connected to the
	  internet.
	
	- The view holding the newstext of a selected news is now updated every time
	  the user performs an action on the TabFolder. The newstext is emptyd, when
	  the user closes the tab, or the selected tab has no selected news.
	  In the case the new selected tab has a selected news, the newstext updates
	  to the text of the selected news.
	
	- Channel infos are now selectable and thereby able to be copied to clipboard
	
	- New menuitem "Assign hotkeys" in preferences to assign a key sequence
	  to common commands in RSSOwl. The user choses a category and a command
	  and simply enters the key-sequence with pressing the desired key-sequence
	  on the input field. RSSOwl will write the key-sequence formatted to the
	  user. An assign button adds the hotkey to the command. A warning is given
	  out, whenever a key-sequence is used by another command. The old assignment
	  will be overwritten, if the user presses the assign button.
	
	- New menuitem "Open..." to open a RSS/RDF newsfeed locally.
	
	- New menuitem "Add to favorites" added to the Edit menu.
	
	- RSSOwl Linux: Any read newsitem was unreadable because of the gray text-color.
	  Changed the text-color on selection to black, and back to gray after focus lost.
	
	- The "Add category" green cross top right in the URL tree was changed to a drop
	  down that opens after click on the cross. The menu is filled with the three items
	  to add a favorite, category or subscription.
	
	- New Menu "Goto" with "Previous Tab", "Next Tab", "Next news" and "Next unread news"
	  navigates through the opened tabs and displays the next (read/unread) news,
	  if a newsfeed is opened in the TabFolder. The items may be accessed quickly
	  with "F2" for "Previous Tab", "F3" for "Next Tab", "F" for "Next news" and "N" for
	  "Next unread news"
	
	- New Button in "New Favorite"-Dialog to grab the newsfeed title from the entered
	  URL. This works, if the URL points to a newsfeed with a <title> entity.
	
	- New properties view for favorites: Right-click on a favorite in the tree and
	  select "Properties". The view shows title, url, language, description, date
	  of creation and last visit date.
	
	- Extended the Edit-dialog of a favorite: The user may now change the category
	  of the favorte.
	
	- RSSOwl now remembers the state of the category / favorites tree. Any expanded
	  node will get expanded again after restart of the application. The last selected
	  item in the tree is reselected after startup too.
	
	- Menu items and buttons are now event sensitive: Whenever an operation is not
	  possible or prohibited (e.g. exporting an error message to PDF) the item gets
	  disabled and vice versa.
	
	- "New Favorite"-Dialog is now displaying the category
	
	- Added feature to minimize RSSOwl, without placing it into system tray, but
	  hiding the application from the task bar. A small RSSOwl icon is placed
	  bottom right and a single click reopens the application.
	  To quick-minimize, press CTRL+X. The features was placed in "Window ->
	  Minimize RSSOwl".
	  The re-maximizing of the application window is very fast, because the OS
	  does not free the memory ressources. It just makes the window invisible.
	
	- New RSS & RDF newsfeed search engine in "Tools -> Search RSS & RDF feed":
	  Just enter a topic and press the "Search"-Button. Any newsfeeds, that are
	  found will be displayed in a table with the URL of the XML and the title
	  of the feed.
	  A doubleclick on an item in the table opens the newsfeed in the TabFolder.
	  The user may also copy the URL in the PopupMenu of the table (just right-
	  click on an item in the table and select copy.
	  You may also export the results to an OPML file. That makes it easy to
	  import the results to one of your categorys with "Import -> From OPML file".
	  The results are saved, and restored when the Search dialog is closed and
	  opened again.
	  It is possible to run multiple searches parallel. Simply open the newsfeed
	  search dialog as often as you want.
	
	  Options:
	  	Intensive search - will take more time but bring more results
	  	Preferred language - try to filter out newsfeeds that does not match the language
	
	  Please note: You have to be online, to get results from the search!
	
	- Implemented hotkeys for some common, usefull tasks:
	
		CTRL+O:			Open
		CTRL+F4:		Close (Tab)
		CTRL+SHIFT+F4:	Close All (Tabs)
		CTRL+S: 		Save RSS
		CTRL+P: 		Print newstext
		CTRL+Q: 		Exit
	
		CTRL+G:			Add to favorites
		CTRL+R: 		Reload
		CTRL+F: 		Search
		CTRL+M			Send NewsTip Mail
	
		CTRL+B: 		Enable / Disable Browserview on newstext
		CTRL+Shift+X: 	Minimize RSSOwl
	
		F1:				Display FAQ
		F2:				Goto previous tab
		F3:				Goto next tab
		F: 				Goto next news
		N: 				Goto next unread news
	
		CTRL+B: 		Search for RSS & RDF newsfeeds
	
	  These actions are executed regardless what element in RSSOwl has focus.
	  Note: All hotkeys may be changed in "Tools -> Preferences -> Hotkeys -> Assign Hotkeys".
	
	- Added mnemonics to the Menu. Allows to navigate through the menu using the keyboard.
	
	- It is now possible to view the news from a feed in the internal browser (Win / Linux).
	  This is usefull for RSS / RDF feeds that use HTML in their newstext.
	  A new option under "Preferences -> Browser" enables / disables the use of the browser.
	  The user may also change the view with a new button top-right of the news-header
	  ("Enable browser view" / "Disable browser view") or the new hotkey "STRG-B".
	  This allows quick changes between browser- and normal-view.
	
	- Implemented AmphetaRate into RSSOwl. AmphetaRate delivers personalized recommendations.
	
	  AmphetaRate is a recommendation server that collects ratings from the user. Each news
	  may be rated "Fantastic", "Good", "Moderate", "Bad" and "Very bad". The ratings are
	  then processed by AmphetaRate to calculate your neighbors (people who share your taste).
	  Knowing your neighbors, AmphetaRate sends you its recommended articles that you certainly
	  will like but have probably missed.
	  To use AmphetaRate, the user has to enter his / her AmphetaRate User ID. RSSOwl will then
	  automatically create the recommendation newsfeed, that holds the recommended articles.
	
	  If the user is new to AmphetaRate a User ID can be registered from RSSOwl with a simple
	  click on the "Register a new User ID" button.
	
	  The recommendation feed's news come with the newstext and the url of the feed where
	  the news came from. This URL is mouse-sensitive, so that a click will open the
	  "Add to favorites" dialog, to add the feed to the favorites.
	
	  The "Latest best news" on AmphetaRate is a feed containing the latest best rated news.
	  This feed is accessible even if one is not registrated to AmphetaRate. The feed is
	  added to RSSOwl per default.
	
	- Any links from the newstext are now mouse-sensitive. If the cursor hovers over an
	  URL, it changes to a handcursor. A mouseclick will open the link in the browser.
	  Still, all links are displayed in the popup-menu, to make it easy to select one.
	
	- Minimized the loading time of a RSS/RDF channel in the tabfolder if a channel-image
	  is given. The image is now loaded in a seperate thread. This is also very time-saving
	  when reading news offline.
	
	- It is now possible to minimize RSSOwl to tray on Linux. Please be sure to compile
	  the systray4j deamon (located in /systray4jd). See the README for details.
	
	- RSSOwl is now displaying the "comments"-tag that may occur in RSS documents
	  using RSS version 2.0.
	
	- RSS versions 0.91, 0.92 and 2.0 are now also parsed for dublin core, syndication
	  and rdf namespaces as it is done for RSS ver. 1.0
	
	- Source and Comments information of a news is now also exported to PDF / RTF / HTML
	
	- The WinXP Look & Feel for RSSOwl is now automatically set up. It takes a restart
	  of the application to see it. This does only work if running RSSOwl on WinXP
	
	- Added check-button to the proxy-dialog to check / uncheck wether all favorites
	  should use the proxy. This is usefull to prevent RSSOwl from selecting the
	  "Use Proxy" setting of all favorites and to keep older settings of favorites
	  that should not use the proxy.
	
	- Added 10px margin around messages/errors displayed in the TabFolder for better readability
	
	- New popup-menu added to the homepage-info of a channel in the channel-info view. Allows to
	  copy the URL.
	
	- New Menu: "Edit". Holds menuitems "Search" and "Reload". Items are equivalent to the two
	  buttons top-right in the "Newsheader" tabfolder.
	
	- New Menu: "Tools". Moved "Preferences" into "Tools" and created new item
	  "Search RSS / RDF feed" to open the feed-search dialog.
	
	- New popup-menu added to the table holding newstitles. Makes it possible to:
		o Add newsfeed to favorites
		o Mark read news unread
		o Generate PDF / RTF / HTML from selected news
		o Copy news url
		o Reload newsfeed
		o Search in newsfeed
		o Mail NewsTip to a friend
		o Rate newsfeed: Fantastic, Good, Moderate, Bad, Very Bad
	
	- It is now possible to generate a RTF (Richt text format) document from a newsfeed
	
	- RSSOwl will now automatically try to execute the default external browser, if the
	  interal browser is not working. If the execution of the external browser fails,
	  an error message is displayed. Also, if execution of the default external browser
	  fails and no custom browser is set, an message advises the user to set a custom
	  browser under preferences.
	
	- Import from OPML now recognizes attribute "xmlUrl" also if its written in small letters
	  ("xmlurl").
	
	- Minimal GUI changes: Reduced margin of internal frames / Quickview-Buttons placed correctly
	
	- Changed dateformat in table holding the news and in the channel info if last build date or
	  publish date is given. Improves readability.
	
	- Channel info "language" is now given out as complete name translated to the selected
	  language. In previous versions only the ISO language name was displayed (e.g. "en").
	
	- Channel info "generator" added to the items that are displayed in the channel info
	  box if value is given.
	
	- Improved dispose management: Some unused ressources were not disposed
	
	- RSSOwl listens for Help requests (F1 pressed) and displays the FAQ in a new tab
	
	- The tree holding the favorites is now reacting on carriage return key. Selected categorys will
	  expand / collapse and favorites will open
	
	- Added "Import from OPML" to popupmenu when selection is on a Favorite
	
	- Changed mouse-trigger to open any URL from double-click to a single-click
	
	- Changed translations of menu-items "Window" to "View" and "Info" to "Help"
	
	- Moved settings "Minimize to tray" and "Show channel infos" to "View"
	
	- Changed some file-type-filters for the FileDialogs of RSSOwl
	
	- Fixed layout / content bugs in some dialogs
	
	- Increased witdh of splash that shows while loading favorites because some
	  translations needed more space to display the text.
	
	- Added logger.dtd for the rssowllog.xml (allows to display the XML in IE for example)
	
	- Added complete API (generated to HTML) to the source release of RSSOwl
	
	- Source release of RSSOwl is now released in one Zip for Windows, Linux & Mac. Removed
	  the differences in the source code between the different OS. To compile, the user has
	  to download the SWT library for his/her OS.
	
	- Small-to-medium performance boost due increase of some visibilitys of methods, that were
	  emulated by a syntetic accessor method when called from nested classes
	
	- Removed some unused fields / methods / exceptions from the sourcecode
	
	- Changed sourcecodes text-encoding to UTF8
	
	- Improved internationalization of RSSOwl. If the locale of a user does not point to
	  a language that is supported, RSSOwl trys to set the language to one that is spoken
	  in the country of the user, if more than one language is spoken there.

New Languages:

	- Dutch (thanks to Joris Kluivers)
	- Greek (thanks to Jacaranda Bill)
	- Russian (thanks to Sergey Rozenblat)
	- Portuguese / Brazil (thanks to Marcelo Fenoll Ramal Tradutor)
	- Bulgarian (thanks to Valeri Damianov)
	- Norwegian Bokmål (thanks to Eivind Syverts)
	
Updated librarys:

	- SWT to version 3.0 Milestone 7
	- JFace to version 3.0 Milestone 7
	- IText to version 1.02

Bugfixes:

	- When the user has selected to direct open each news, or only the ones with no
	  description in the browser, RSSOwl did so, even if the link was null or empty.
	  Changed so that the browser is only opened, when the link is given.

	- Some IO-Streams could have remained unclosed when an exception occured. Finally
	  closing any Stream now, even if an error occurs.

	- Selecting text from the newstext view, it was not possible to copy it with Ctrl+C

	- The combo in the rss quickview added pathes taken from the FileDialog to the list
	  even if they were already added.

	- Settings have been saved twice when the application crashed with a critical error

	- A change of the language did not update the language of the Systray if active

	- When the Exit of RSSOwl was performed using the Systray-Icon menu, RSSOwl was shut down
	  saving the user settings twice.

	- The core XML parse module (responsible for all XML parsing in RSSOwl) was very inefficient.
	  Each XML element was loaded twice in most cases (one to check if its existing, and the
	  second to get the value from it). Changed to one load per element. This should increase
	  the XML parsing performance by 50-80%. But this increase might not be noticable on small to
	  medium sized XML files.

	- Position of the internal splashscreen that shows while loading a feed was not saved
	  after exit.

	- Some contents from InputStreams could not be displayed, if the used Charset "cp850"
	  was not supported on the platform. Changed the Charset from cp850 to utf8 (except for
	  newsfeeds). If utf8 is not supported on the platform, the default Charset is used.

	- Mac: The ccombo (custom combo) located in the quickview section of RSSOwl was
	  displayed wrong on some Mac versions. Changed widget to the native combo.

	- RSSOwl crashed when executing from a write-only medium (for example a CD)

	- Wrong count-number fixed in splash while loading favorites, when the load was
	  canceld before.

	- The attempt to print news using Linux or Mac did result in an exception,
	  because printing is not yet supported in the current SWT library version.
	  As long as printing is not supported, the print option is removed from the
	  Linux and Mac release of RSSOwl.

	- Fixed a wrong warning message when a subscription with an empty URL was added

	- RSSOwl crashed when the user selected a news in the tab from a favorite that
	  he has deleted or edited in the tree before.

	- Made RSSOwl more robust for extreme user behaviour when threads where running
	  in the background that may access the GUI (for example closing RSSOwl while
	  feeds are loaded). Threads don't try to access the GUI anymore when the user
	  has closed it.

	- When reloading an aggregated category that was already opened in the tabfolder,
	  the tab holding the aggregated news was deleted and renewed again, putting the
	  results to a new tab at the end of the tabfolder. It is now reloaded to the
	  opened tab.

	- Whenever a favorite-tree item was loaded with erroneous feeds, the root element
	  of the tree was selected not the item that the user has selected before.

	- Linux: Popup on tree holding favorites did not appear on first select after startup

	- Fontchange did not affected "OK" and "Cancel" Buttons in dialogs

	- Some mouse-sensitive labels (URLs,...) reacted on a wider area than there length was

	- Search Dialog painted the logical keywords "AND", "OR" and "NOT" bold ignoring the case

	- Dialog buttons "OK" and "Cancel" were only translated to english

	- user.xml was loaded and parsed twice on startup, reduced to once

	- Font was not loaded from an imported user.xml immediately (only after restart)

	- Newsfeed homepage link was assigned wrong and interpreted as newsfeed XML URL

	- Welcome tab did appear after restart, even if closed, in some cases

	- If a category or subscription does not contain any favorites an information
	  message is displayed when the user wants to aggregate, reload or search
	  the empty category

	- Fixed some bugs with creating and managing subscriptions

	- The Proxy-Dialog saved the entered settings, even if the user has pressed the "Cancel"
	  Button or closed the dialog without pressing any button.

	- A Message-Tab (Error, Welcome, License) overlapped all opened tabs in the tabfolder

	- RSSOwl could crash after import of an erroneous OPML document. RSSOwl is now
	  displaying an error tab, if the OPML is not valid.

	- RSSOwl could crash after doubleclick on the table holding the newsitems, if no
	  newsitem is selected

	- Size of buttons is now correct, after change of the language

	- Erroneus parsing of a RDF newsfeed with Dublin Core Module namespace fixed

	- Importing a settings-XML ("user.xml") did not update the language, fonts and
	  text-encoding immediately.

	- When generating PDF / HTML from a RSSChannel, the channel title was taken
	  as channel description.

	- Doubleclick on a treeitem in the favorite / category tree is now reacting only
  	  if the mouse is over a treeitem. For example, the event was fired before, even
  	  if the mouse was doubleclicking on a tree-node

	- Categories in the RSS favorite tree did not display state of "Use Proxy" button
	  correctly, when changing the state on subcategories or favorites. Now, checking /
	  unchecking any subcategory or favorite will check / uncheck all parent categories.

	- Update check did crash RSSOwl when being offline (on language: Italian)

	- RSSOwl does not crash anymore, if a translation for a value is missed. Will return
	  english translation, if translation is not found


Changes in Version 0.63b (Release Date: 2003-11-23)
---------------------------------------------------

	- It is now possible to select a custom browser if RSSOwl should open links external.
	  The user enters the path to an executable of a browser and RSSOwl will try to execute
	  it and passes the URL as argument (e.g. "/path to mozilla/mozilla.exe http://www.url.com")
	  If execution fails, RSSOwl will try to execute the default browser.
	
	- Internal Splashscreen that displays while loading a newsfeed is now moveable.
	  Position is saved and loaded after startup.
	
	- The Table displaying the news may now sort each column by clicking on the column title
	  in ascending or descending order (special thanks to Ludovic Kim-Xuan Galibert)
	
	- Added a popupmenue to the viewform that displays the newstext. Allows the user to copy text from
	  the news or to open links from the text in the browser if available. Any URLs that are found
	  in the text are displayed as menuitems in the popup menu. Clicking on one will open it in browser.
	
	- If the user changes the text-encoding the current selected channel in the tab folder will reload
	  with the new text-encoding (special thanks to Ludovic Kim-Xuan Galibert)
	
	- If a search was performed, export to PDF / HTML will now export just the search-results and not
	  all news into the PDF / HTML
	
	- It is now possible to donate some money, if you like RSSOwl :-).
	  Please open "Info" -> "Donate" (opens a link to PayPal in your browser)
	
	- Fixed bug #794419: Homepage link of RSSChannel did not open in browser after click
	- Fixed bug #811951: Disabling proxy per favorite is now working correctly
	- Fixed bug #828076: Load on startup and aggregate of favorites ignored the "Use Proxy" flag
	- Fixed bug #826437: Multiple error tabs when auto-updating erroneous channel fixed
	- Fixed bug #817805: RSSOwl crashed on Linux when collapsing an item of the url tree
						 (Bug is identical to #809917: "RSSOwl tree menu crash under linux")
	- Bugfix: Checking "Use Proxy" on a favorite affected all favorites of the category
	- Bugfix: Closing RSSOwl while multi-loading feeds did not stop the multi-load thread
	
	- Added new language: Danish & Italian
	- New application splashscreen while loading on startup (special thanks to Daniel Kestler)
	- Changed "About" box: Added RSSOwl logo from the new webpage (special thanks to Daniel Kestler)
	- Changed logger to give out errors only to "rssowllog.xml" and not to the console too
	
	- Updated SWT library to 3.0 Milestone 5
	- Added a shell-script for Linux release of RSSOwl
	- Updated RSSOwl FAQ


Changes in Version 0.62b (Release Date: 2003-09-18)
---------------------------------------------------

	- RSSOwl now supports auto-update of rss / rdf newsfeeds. The user may select to load
	  a newsfeed on startup or set an update-interval. Possible intervals are 1, 5, 15 Minutes
	  and 1, 3, 12, 24 hours. RSSOwl will update the selected feed (and any other feeds with
	  an update interval set) in the given interval automaticly.
	
	- User may set an individual text encoding (default: UTF-8). Each newsfeed is read and written
	  (if the user wants to save it locally) with the selected encoding.
	
	- Added new languages Spanish and Galician - special thanks to Gnu Translation and Localisation Team (GTLT)
	
	- Improved OPML Import / Export: Now supporting nested outlines (= Categorys / Subcategorys)
	- Improved dispose-management (Fixed Image / Font / Cursor / Color - Handle leak)
	- Improved usability: Doubleclick / Enter on a newsheader opens URL in browser if available
	- Improved tabfolder: added scrolling arrows to navigate the tabs
	
	- Optimized aggregation of newsfeeds from a category: each loaded newsfeed is saved in memory
	
	- Some ISO encoded entitys from the XML are now automaticly decoded
	- RSSOwl now remembers all read news, even after reload of a feed from the URL
	
	- Bugfix: Internal + External browser opens if "Open extern browser" selected
	- Bugfix: Exception in Mac / Linux when entering the newsfeed title with the mouse
	- Bugfix: Author, Category and pubDate were displayed in a wrong order
	- Bugfix: RSS Version 0.92 newsfeed could cause a crash in some cases (if no title)


Changes in Version 0.61b (Release Date: 2003-09-07)
---------------------------------------------------

	- New export features
		o Generate PDF from a newsfeed or an entire category
		o Generate HTML from a newsfeed or an entire category
		o Generate OPML (Outline Processor Markup Language)
	
	- New RSS / RDF multi-aggregation feature
		o It is now possible to open an entire category with all favorites
	      (also from subcategorys) aggregated to one Tab displaying
	      all news from the favorites
	
	- New full-text search features
		o Search in entire category (includes all favorites in subcategorys).
		  The search results from all favorites are aggregated into one Tab.
		o support for case-sensitive search
		o support for match-entire-word search
		o support for regular-expression search
	
	- New import features
		o Import rss / rdf feeds from OPML (Outline Processor Markup Language)
	
	- New information features
		o Update button to check for new RSSOwl versions
		o FAQ added as newsfeed to answer some questions
	
	- New usability features
		o Create Category, Favorite and Subscription now have validation
	  	  feature and give out errors, if a category / favorite with the
	      same title or URL already exists. Also gives out a warning if
	      an entered URL might be invalid
	    o If a favorite can not be loaded because of an error the icon changes
	      to a lense with a red cross displaying that there was an error. The
	      error-icon stays, even after restart of RSSOwl. It changes to normal
	      icon when the error is fixed.
	
	- New proxy features
		o Enable / Disbale use of proxy for certain favorites. Also possible
	      to set that setting on a category causing all subcategorys and
	      subfavorites to change the setting
	
	- New preference features
		o "Reload each news from source" will reload every
	       opened newsfeed not from memory but from the url / path
	    o Select a individual font for RSSOwl


Changes in Version 0.6b (Release Date: 2003-08-31)
--------------------------------------------------

	- It is now possible to subscribe to a (XML-)file (local or on the internet) that
	  holds categorys / favorites. This allows sharing of rss / rdf feeds with
	  others.
	- Create your own subscription for other people and export selected categorys
	- Support for web-browser in RSSOwl: Browser opens as a tab and supports Back, Forward, Home and Stop.
	  It shows the adressbar and a status text
	- Unlimited nesting of categorys, favorites and subscriptions.
	- New Popup-Menu to manage the favorites / categories and subscriptions.
	- User may now choose be informed when a new RSSOwl version is available
	- Minimize RSSOwl to systray
	- Categorys and favorites are now sorted in ascending order
	- Swaped loading of the XML from main UI thread in a background thread
		--> Cancel downloads of a RSS / RDF XML is now possible
		--> Application is no more freezing while loading a XML
	
	- New preference: Open each news in browser
	- New preference: Open browser in new tab
	- New preference: Open browser external
	- New preference: Enable / Disable minimize to systray
	- New preference: Enable / Disable display of channel informations in the tab
	- New preference: Enable / Disable show message when a new version is released
	
	- New Language support: French (thx to hydr0g3n)
	- Proxy connection dialog now blocks the gui, to stay focussed until save / cancel is pressed
	- Fixed some bugs in the full-text search
	- Added a huge list of sample RSS newsfeeds and categorys
	- Major code cleanup and big API changes. Refer to CVS "rssowl/doc/api".


Changes in Version 0.53b (Release Date: 2003-08-16)
---------------------------------------------------

	- It is now possible to open a RSS-Feed from a URL that is protected with
	  BASE-Authentification. RSSOwl opens a dialog and prompts for username
	  and password.
	  It is also possible to enter a URL with username and password included
	  (for example: "http://user:pass@domain.com") and RSSOwl will perform
	  the BASE-Authentification automaticly. If that URL is saved as favorite
	  the username / password dont have to be typed in again.
	
	- The "https" protocol is now supported too as far as it is possible with
	  Java. Unfortunately it is not possible to connect to a server with untrusted
	  or not existing certificate.
	
	- Fixed Bug #788579: user.xml emptys / application crashes if using proxy
	- It is now possible to save a RSS XML from a URL to view it offline
	- Added a option to chose if RSSOwl should open a news automaticly in the
	  default browser, if the description is empty
	- some new icons
	- RSSOwl API is now available in CVS (/doc/api)


Changes in Version 0.52b (Release Date: 2003-08-13)
---------------------------------------------------

	- A connection via proxy-server is now possible
	- Added a menu to set proxy-settings (host, port, username, pw)
	- Import / Export of user settings (also containing RSS categorys / favorites)
	- Added Message-Boxes that appear to show error-messages if an error occurs
	- Added print-Menuitem to Menu (File)
	- Fixed a bug where a deleted favorite appeared after startup showing its url
	- Size / Position of application window is now saved and loaded after startup


Changes in Version 0.51b (Release Date: 2003-09-08)
---------------------------------------------------

	- Fixed bug 784944: wrong path to image
	- It is now possible to print a news
	- Fast load of / search in an opened feed from memory. Button for explicit reload from the URL added
	- added some icons
	- added more sample RSS feeds


Changes in Version 0.5b (Release Date: 2003-08-07)
--------------------------------------------------

	- Full-text search with syntaxhighlight
	- Support for RSS Version 1.0 (RDF)
	- Favorites can now be saved with a title
	- Splashscreen while loading application / rss feed
	- window-sizes are saved in XML and loaded after startup
	- user preferences are now saved even if an unforseen exception occurs


Changes in Version 0.4b (Release Date: 2003-08-04)
--------------------------------------------------

	- RSS favorites / categorys are now saved after exit and loaded after startup
	- RSS favorites / categorys can now be deleted
	- full support for RSS Version 0.91, 0.92 and 2.0
	- optimized performance when loading a rss feed


Changes in Version 0.32a (Release Date: 2003-07-31)
---------------------------------------------------

	- Implemented a logger that writes critical bugs in "rssowllog.xml"
	- better error handling: more meaningful error messages
	- changed news header list to table
	- added INSTALL.txt with installation notes


Changes in Version 0.31a (Release Date: 2003-07-30)
---------------------------------------------------

	- Fixed a bug that caused the program to crash, when trying to open a news in
	  a tab before the current tab
	- Newsfeed header is now clickable to show some channel informations


Changes in Version 0.3a (Release Date: 2003-07-29)
--------------------------------------------------

	- Initial Release